<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="copy-config-template.xsl"/>
<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
  
<!-- Input Parameters -->
<xsl:param name="UseSrmCopy" select="'false'"/>

<!-- Process the TransferType Parameter -->
<xsl:template match="param[@name='TransferType']" priority="2">
 <xsl:copy>
  <xsl:copy-of select="@name"/>
  <xsl:copy-of select="@type"/>
  <xsl:attribute name="mandatory">fixed</xsl:attribute>
  <xsl:attribute name="level">expert</xsl:attribute>  
  <xsl:text>&#xA;</xsl:text>
  <xsl:apply-templates select="description"/>
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="value">
    <xsl:choose>
      <xsl:when test="$UseSrmCopy='true'">srmcopy</xsl:when>
      <xsl:otherwise>urlcopy</xsl:otherwise>
    </xsl:choose>
  </xsl:element>
  <xsl:text>&#xA;</xsl:text>
 </xsl:copy>
</xsl:template>

<!-- Process the TransferTimeout Parameter -->
<xsl:template match="param[@name='TransferTimeout']" priority="2">
 <xsl:copy>
  <xsl:copy-of select="@*"/>
  <xsl:text>&#xA;</xsl:text>
  <xsl:apply-templates select="description"/>
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="value">
    <xsl:choose>
      <xsl:when test="$UseSrmCopy='true'">0</xsl:when>
      <xsl:otherwise>600</xsl:otherwise>
    </xsl:choose>
  </xsl:element>
  <xsl:text>&#xA;</xsl:text>
 </xsl:copy>
</xsl:template>

<!-- Process the SrmCopy Specific Parameters -->
<xsl:template match="param[@name='SrmCopyTimeout'   or 
                           @name='SrmStatusTimeout' or 
                           @name='MaxBulkSize'      or 
                           @name='SrmCopyDirection' ]" priority="2">
 <xsl:if test="$UseSrmCopy='true'">
  <xsl:copy>
    <xsl:copy-of select="@name"/>
    <xsl:copy-of select="@type"/>
    <xsl:attribute name="mandatory">false</xsl:attribute>
    <xsl:attribute name="level">expert</xsl:attribute>
    <xsl:apply-templates/>
  </xsl:copy>
 </xsl:if>
</xsl:template>

<!-- Process the UrlCopy Specific Parameters -->
<xsl:template match="param[@name='Streams'           or 
                           @name='TcpBlockSize'      or 
                           @name='SrmPutTimeout'     or 
                           @name='SrmGetTimeout'     or 
                           @name='SrmPutDoneTimeout' or 
                           @name='SrmGetDoneTimeout' or 
                           @name='TransferMarkersTimeout' ]" priority="2">
  <xsl:if test="$UseSrmCopy='false'">
   <xsl:copy>
    <xsl:copy-of select="@name"/>
    <xsl:copy-of select="@type"/>
    <xsl:attribute name="mandatory">false</xsl:attribute>
    <xsl:attribute name="level">expert</xsl:attribute>
    <xsl:apply-templates/>
   </xsl:copy>
  </xsl:if>
</xsl:template>

<!-- Start the macthing -->
<xsl:template match="/">
  <xsl:apply-templates/>
</xsl:template>

</xsl:stylesheet>
