%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; import sys; sys.stdout.write(get_python_lib(1))")}

Summary: emi.fts.transfer-agents
Name: transfer-agents
Version: 3.9.99
Release: 0%{?dist}
License: Apache Software License
Vendor: EMI
Group: System Environment/Libraries
BuildRequires: CGSI_gSOAP_2.7
BuildRequires: gridsite-devel
BuildRequires: transfer-url-copy
BuildRequires: oracle-instantclient-devel
BuildRequires: oracle-instantclient-basic
BuildRequires: gridftp-ifce-devel
BuildRequires: log4cpp-devel
BuildRequires: config-service
BuildRequires: agents-common
BuildRequires: cppunit-devel
BuildRequires: boost-devel
BuildRequires: lcgutil-build-common-cpp
BuildRequires: glite-build-common-cpp
BuildRequires: libtool
BuildRequires: globus-common-progs
BuildRequires: globus-gssapi-gsi-devel
BuildRequires: globus-gss-assist-devel
BuildRequires: python-devel
BuildRequires: libxslt
BuildRequires: libxml2-devel
BuildRequires: docbook-style-xsl
BuildRequires: oracle-instantclient-devel
BuildRequires: oracle-instantclient-basic
BuildRequires: compat-libstdc++-33
Requires: CGSI_gSOAP_2.7
Requires: transfer-url-copy
Requires: gridftp-ifce
Requires: config-service
Requires: agents-common
Requires: boost
Requires: log4cpp
BuildRoot: %{_builddir}/%{name}-root
AutoReq: no
AutoProv: yes
Source: %{name}-%{version}.tar.gz

%description
This package provides the transfer agents for the File Transfer VO Agents and Channels Agents, which runs as a standalone (C++) daemons and uses MySQL or Oracle as the database backend.

%prep
 

%setup -c

%build
mkdir -p src/autogen; aclocal -I /usr/share/emi/build/m4 -I /share/build/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
mkdir build; cd build; %{_builddir}/%{name}-%{version}/configure --prefix=%{buildroot}/usr --with-prefixetc=%{buildroot}/etc  --with-version=%{version} --with-interface-version=%{version} --with-dist-location=%{buildroot}/usr --with-glite-location=/usr --with-schema-version=3.4.1 --with-cred-schema-version=1.2.0 --with-config-schema-version=3.0.0 --with-cgsi-gsoap-location=/ --with-gridsite-prefix=/usr --with-emi
 make all


%install
QA_SKIP_BUILD_ROOT=1; export QA_SKIP_BUILD_ROOT
rm -rf %{buildroot}
 mkdir -p %{buildroot}
 mkdir -p %{buildroot}/usr; make -C build install
 find %{buildroot} -name '*.la' -exec rm -rf {} \;
 find %{buildroot} -name '*.pc' -exec sed -i -e "s|%{buildroot}||g" {} \;

%clean
#rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_libdir}/python/
%dir %{_libdir}/python/glite/
%dir %{_libdir}/python/glite/fts/
%dir %{_libdir}/python/glite/fts/strategies/
%{_libdir}/libglite_data_transfer_agent_actions.a
%{_libdir}/libglite_data_transfer_agent_actions.so
%{_libdir}/libglite_data_transfer_agent_actions.so.*
%{_libdir}/libglite_data_transfer_agent_catalog.a
%{_libdir}/libglite_data_transfer_agent_catalog_python.a
%{_libdir}/libglite_data_transfer_agent_catalog_python_module.a
%{_libdir}/libglite_data_transfer_agent_catalog_python_module.so
%{_libdir}/libglite_data_transfer_agent_catalog_python_module.so.*
%{_libdir}/libglite_data_transfer_agent_catalog_python.so
%{_libdir}/libglite_data_transfer_agent_catalog_python.so.*
%{_libdir}/libglite_data_transfer_agent_catalog.so
%{_libdir}/libglite_data_transfer_agent_catalog.so.*
%{_libdir}/libglite_data_transfer_agent_channel_actions.a
%{_libdir}/libglite_data_transfer_agent_channel_actions.so
%{_libdir}/libglite_data_transfer_agent_channel_actions.so.*
%{_libdir}/libglite_data_transfer_agent_common.a
%{_libdir}/libglite_data_transfer_agent_common.so
%{_libdir}/libglite_data_transfer_agent_common.so.*
%{_libdir}/libglite_data_transfer_agent_cred_deleg.a
%{_libdir}/libglite_data_transfer_agent_cred_deleg.so
%{_libdir}/libglite_data_transfer_agent_cred_deleg.so.*
%{_libdir}/libglite_data_transfer_agent_dao.a
%{_libdir}/libglite_data_transfer_agent_dao_oracle.a
%{_libdir}/libglite_data_transfer_agent_dao_oracle_dumper.a
%{_libdir}/libglite_data_transfer_agent_dao_oracle_dumper.so
%{_libdir}/libglite_data_transfer_agent_dao_oracle_dumper.so.*
%{_libdir}/libglite_data_transfer_agent_dao_oracle.so
%{_libdir}/libglite_data_transfer_agent_dao_oracle.so.*
%{_libdir}/libglite_data_transfer_agent_dao.so
%{_libdir}/libglite_data_transfer_agent_dao.so.*
%{_libdir}/libglite_data_transfer_agent_fsm.a
%{_libdir}/libglite_data_transfer_agent_fsm.so
%{_libdir}/libglite_data_transfer_agent_fsm.so.*
%{_libdir}/libglite_data_transfer_agent_namegen.a
%{_libdir}/libglite_data_transfer_agent_namegen_python.a
%{_libdir}/libglite_data_transfer_agent_namegen_python.so
%{_libdir}/libglite_data_transfer_agent_namegen_python.so.*
%{_libdir}/libglite_data_transfer_agent_namegen.so
%{_libdir}/libglite_data_transfer_agent_namegen.so.*
%{_libdir}/libglite_data_transfer_agent_python_fts_module.a
%{_libdir}/libglite_data_transfer_agent_python_fts_module.so
%{_libdir}/libglite_data_transfer_agent_python_fts_module.so.*
%{_libdir}/libglite_data_transfer_agent_scheduler.a
%{_libdir}/libglite_data_transfer_agent_scheduler.so
%{_libdir}/libglite_data_transfer_agent_scheduler.so.*
%{_libdir}/libglite_data_transfer_agent_ts.a
%{_libdir}/libglite_data_transfer_agent_ts.so
%{_libdir}/libglite_data_transfer_agent_ts.so.*
%{_libdir}/libglite_data_transfer_agent_ts_stub.a
%{_libdir}/libglite_data_transfer_agent_ts_stub.so
%{_libdir}/libglite_data_transfer_agent_ts_stub.so.*
%{_libdir}/libglite_data_transfer_agent_ts_urlcopy.a
%{_libdir}/libglite_data_transfer_agent_ts_urlcopy.so
%{_libdir}/libglite_data_transfer_agent_ts_urlcopy.so.*
%{_libdir}/libglite_data_transfer_agent_vo_actions.a
%{_libdir}/libglite_data_transfer_agent_vo_actions_python.a
%{_libdir}/libglite_data_transfer_agent_vo_actions_python.so
%{_libdir}/libglite_data_transfer_agent_vo_actions_python.so.*
%{_libdir}/libglite_data_transfer_agent_vo_actions.so
%{_libdir}/libglite_data_transfer_agent_vo_actions.so.*
%{_libdir}/libglite_data_transfer_channel_agent.a
%{_libdir}/libglite_data_transfer_channel_agent.so
%{_libdir}/libglite_data_transfer_channel_agent.so.*
%{_libdir}/libglite_data_transfer_vo_agent.a
%{_libdir}/libglite_data_transfer_vo_agent.so
%{_libdir}/libglite_data_transfer_vo_agent.so.*
%{_libdir}/python/glite/fts/strategies/basic_catalog_retry.py
%{_libdir}/python/glite/fts/strategies/basic_catalog_retry.pyc
%{_libdir}/python/glite/fts/strategies/basic_catalog_retry.pyo
%{_libdir}/python/glite/fts/strategies/basic_retry.py
%{_libdir}/python/glite/fts/strategies/basic_retry.pyc
%{_libdir}/python/glite/fts/strategies/basic_retry.pyo
%{_libdir}/python/glite/fts/strategies/smarter_retry.py
%{_libdir}/python/glite/fts/strategies/smarter_retry.pyc
%{_libdir}/python/glite/fts/strategies/smarter_retry.pyo
%dir %{python_sitearch}/glite/
%dir %{python_sitearch}/glite/fts/
%{python_sitearch}/glite/fts/_fts.so
%{python_sitearch}/glite/fts/__init__.py
%{python_sitearch}/glite/fts/__init__.pyc
%{python_sitearch}/glite/fts/__init__.pyo
%dir %{python_sitearch}/glite/fts/catalog/
%{python_sitearch}/glite/fts/catalog/_catalog.so
%{python_sitearch}/glite/fts/catalog/__init__.py
%{python_sitearch}/glite/fts/catalog/__init__.pyc
%{python_sitearch}/glite/fts/catalog/__init__.pyo
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/data/
%dir %{_includedir}/glite/data/transfer/
%dir %{_includedir}/glite/data/transfer/agent/
%dir %{_includedir}/glite/data/transfer/agent/action/
%dir %{_includedir}/glite/data/transfer/agent/action/channel/
%{_includedir}/glite/data/transfer/agent/action/channel/ActiveTxCache.h
%{_includedir}/glite/data/transfer/agent/action/channel/ChannelAction.h
%{_includedir}/glite/data/transfer/agent/action/ExecuteException.h
%{_includedir}/glite/data/transfer/agent/action/Action.h
%{_includedir}/glite/data/transfer/agent/action/ActionFactory.h
%dir %{_includedir}/glite/data/transfer/agent/action/vo/
%{_includedir}/glite/data/transfer/agent/action/vo/CatalogRetryStrategy.h
%{_includedir}/glite/data/transfer/agent/action/vo/Retry.h
%{_includedir}/glite/data/transfer/agent/action/vo/ChannelCache.h
%{_includedir}/glite/data/transfer/agent/action/vo/VOAction.h
%{_includedir}/glite/data/transfer/agent/action/vo/RetryStrategy.h
%{_includedir}/glite/data/transfer/agent/action/ActionFactoryMethod.h
%dir %{_includedir}/glite/data/transfer/agent/catalog/
%{_includedir}/glite/data/transfer/agent/catalog/CatalogServiceFactory.h
%{_includedir}/glite/data/transfer/agent/catalog/CatalogService.h
%{_includedir}/glite/data/transfer/agent/catalog/CatalogServiceException.h
%dir %{_includedir}/glite/data/transfer/agent/fsm/
%{_includedir}/glite/data/transfer/agent/fsm/JobEventListener.h
%{_includedir}/glite/data/transfer/agent/fsm/FileEventListener.h
%{_includedir}/glite/data/transfer/agent/AgentHeartbeat.inl
%dir %{_includedir}/glite/data/transfer/agent/namegen/
%{_includedir}/glite/data/transfer/agent/namegen/NameGenerationException.h
%{_includedir}/glite/data/transfer/agent/namegen/NameGenerationFactory.h
%{_includedir}/glite/data/transfer/agent/namegen/NameGeneration.h
%dir %{_includedir}/glite/data/transfer/agent/scheduler/
%{_includedir}/glite/data/transfer/agent/scheduler/SchedulerEntry.h
%{_includedir}/glite/data/transfer/agent/scheduler/ActionScheduler.h
%dir %{_includedir}/glite/data/transfer/agent/model/
%{_includedir}/glite/data/transfer/agent/model/Property.h
%{_includedir}/glite/data/transfer/agent/model/File.h
%{_includedir}/glite/data/transfer/agent/model/StageReq.h
%{_includedir}/glite/data/transfer/agent/model/Transfer.h
%{_includedir}/glite/data/transfer/agent/model/Job.h
%{_includedir}/glite/data/transfer/agent/model/Error.h
%{_includedir}/glite/data/transfer/agent/model/Cred.h
%{_includedir}/glite/data/transfer/agent/model/Agent.h
%{_includedir}/glite/data/transfer/agent/model/Channel.h
%dir %{_includedir}/glite/data/transfer/agent/dao/
%{_includedir}/glite/data/transfer/agent/dao/CredDAO.h
%{_includedir}/glite/data/transfer/agent/dao/ChannelDAO.h
%dir %{_includedir}/glite/data/transfer/agent/dao/cred/
%{_includedir}/glite/data/transfer/agent/dao/cred/CredDAO.h
%{_includedir}/glite/data/transfer/agent/dao/cred/AgentDAO.h
%{_includedir}/glite/data/transfer/agent/dao/cred/JobDAO.h
%{_includedir}/glite/data/transfer/agent/dao/cred/DAOFactory.h
%dir %{_includedir}/glite/data/transfer/agent/dao/channel/
%{_includedir}/glite/data/transfer/agent/dao/channel/CredDAO.h
%{_includedir}/glite/data/transfer/agent/dao/channel/ChannelDAO.h
%{_includedir}/glite/data/transfer/agent/dao/channel/AgentDAO.h
%{_includedir}/glite/data/transfer/agent/dao/channel/JobDAO.h
%{_includedir}/glite/data/transfer/agent/dao/channel/TransferDAO.h
%{_includedir}/glite/data/transfer/agent/dao/channel/DAOFactory.h
%{_includedir}/glite/data/transfer/agent/dao/channel/FileDAO.h
%{_includedir}/glite/data/transfer/agent/dao/channel/CredChannelFactory.h
%{_includedir}/glite/data/transfer/agent/dao/AgentDAO.h
%{_includedir}/glite/data/transfer/agent/dao/TSSDAOContext.h
%{_includedir}/glite/data/transfer/agent/dao/JobDAO.h
%dir %{_includedir}/glite/data/transfer/agent/dao/vo/
%{_includedir}/glite/data/transfer/agent/dao/vo/CredDAO.h
%{_includedir}/glite/data/transfer/agent/dao/vo/ChannelDAO.h
%{_includedir}/glite/data/transfer/agent/dao/vo/StageReqDAO.h
%{_includedir}/glite/data/transfer/agent/dao/vo/AgentDAO.h
%{_includedir}/glite/data/transfer/agent/dao/vo/JobDAO.h
%{_includedir}/glite/data/transfer/agent/dao/vo/TransferDAO.h
%{_includedir}/glite/data/transfer/agent/dao/vo/DAOFactory.h
%{_includedir}/glite/data/transfer/agent/dao/vo/FileDAO.h
%{_includedir}/glite/data/transfer/agent/dao/vo/CredVOFactory.h
%{_includedir}/glite/data/transfer/agent/dao/TransferDAO.h
%{_includedir}/glite/data/transfer/agent/dao/FileDAO.h
%{_includedir}/glite/data/transfer/agent/dao/StringArrayTable.h
%{_includedir}/glite/data/transfer/agent/dao/TSSCredFactory.h
%{_includedir}/glite/data/transfer/agent/AgentHeartbeat.h
%{_includedir}/glite/data/transfer/agent/AgentState.h
%{_includedir}/glite/data/transfer/agent/AgentState.inl
%dir %{_includedir}/glite/data/transfer/agent/ts/
%{_includedir}/glite/data/transfer/agent/ts/TransferServiceFactory.h
%{_includedir}/glite/data/transfer/agent/ts/TransferException.h
%{_includedir}/glite/data/transfer/agent/ts/TransferService.h
%{_sbindir}/glite-transfer-channel-agent-drop
%{_sbindir}/glite-transfer-vo-agent-drop
%{_sbindir}/glite-transfer-channel-agent-reconfigure
%{_sbindir}/glite-transfer-channel-agent-add
%{_sbindir}/glite-transfer-vo-agent-reconfigure
%{_sbindir}/glite-transfer-vo-agent-add
%dir /etc/glite-data-transfer-agents.d/
/etc/glite-data-transfer-agents.d/update_channels.py
/etc/glite-data-transfer-agents.d/update_channels.pyc
/etc/glite-data-transfer-agents.d/update_channels.pyo
%dir /etc/glite-transfer.d/
/etc/glite-transfer.d/README
/etc/init.d/glite-data-transfer-agents
/etc/logrotate.d/glite-data-transfer-agents
%dir %{_datadir}/test/
%dir %{_datadir}/test/glite-data-transfer-agents/
%dir %{_datadir}/test/glite-data-transfer-agents/config/
%{_datadir}/test/glite-data-transfer-agents/config/glite-transfer-channel-agent-stub-oracle.config.xml
%dir %{_datadir}/test/glite-data-transfer-agents/bin/
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_cred
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_python
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_dao
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_actions_split
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_agents
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_catalog
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_actions
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_setup_test_cred_ora
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_regressions_13301
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_scheduler
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_regressions_30271
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_ts
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_namegen
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_regressions_31161
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_regressions_13724
%{_datadir}/test/glite-data-transfer-agents/bin/glite_data_transfer_agent_test_fsm
%dir %{_datadir}/test/glite-data-transfer-agents/lib/
%{_datadir}/test/glite-data-transfer-agents/lib/libglite_data_transfer_agent_test_fake_actions.so.*
%{_datadir}/test/glite-data-transfer-agents/lib/libglite_data_transfer_agent_test_fake_actions.so
%{_datadir}/test/glite-data-transfer-agents/lib/libglite_data_transfer_agent_test_fake_actions.a
%dir %{_datadir}/config/
%dir %{_datadir}/config/glite-data-transfer-agents/
%dir %{_datadir}/config/glite-data-transfer-agents/config-templates/
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-dao-oracle-channel.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-vo-agent.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-dao-oracle.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-ts-urlcopy-srmcopy.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-vo-agent-python.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-ts-urlcopy.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-fsm-channel.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-vo-actions.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-dao-oracle-dumper.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-ts-urlcopy-urlcopy.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-dao-oracle-vo.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-catalog-python.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-channel-agent.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-namegen-python.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-fsm.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-channel-actions.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-cred-deleg.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-vo-actions-python.config-template.xml
%{_datadir}/config/glite-data-transfer-agents/config-templates/transfer-agent-scheduler.config-template.xml
%dir %{_datadir}/config/glite-data-transfer-agents/yaim/
%{_datadir}/config/glite-data-transfer-agents/yaim/fta-alias-mapping.xml
%{_datadir}/config/glite-data-transfer-agents/yaim/fta-config-bash.xsl
%{_datadir}/config/glite-data-transfer-agents/yaim/find-param.xsl
%{_datadir}/config/glite-data-transfer-agents/glite-transfer-vo-agent-python-oracle.config.xml
%{_datadir}/config/glite-data-transfer-agents/glite-transfer-vo-agent-python-pycatalog-oracle.config.xml
%{_datadir}/config/glite-data-transfer-agents/glite-transfer-channel-agent-srmcopy-oracle.config.xml
%{_datadir}/config/glite-data-transfer-agents/glite-transfer-vo-agent-fts-oracle.config.xml
%{_datadir}/config/glite-data-transfer-agents/glite-transfer-vo-agent-fts-python-oracle.config.xml
%{_datadir}/config/glite-data-transfer-agents/glite-transfer-channel-agent-oracle.config.xml
%{_datadir}/config/glite-data-transfer-agents/glite-transfer-channel-agent-urlcopy-oracle.config.xml
%{_datadir}/config/glite-data-transfer-agents/glite-transfer-vo-agent-oracle.config.xml
%dir %{_defaultdocdir}/glite-data-transfer-agents/
%{_defaultdocdir}/glite-data-transfer-agents/RELEASE-NOTES
%{_defaultdocdir}/glite-data-transfer-agents/README.html
%dir %{_defaultdocdir}/glite-data-transfer-agents/html/
%{_defaultdocdir}/glite-data-transfer-agents/html/README.html
%{_defaultdocdir}/glite-data-transfer-agents/html/INSTALL.html
%{_defaultdocdir}/glite-data-transfer-agents/LICENSE
%{_defaultdocdir}/glite-data-transfer-agents/INSTALL.html
%{_defaultdocdir}/glite-data-transfer-agents/EDG-LICENSE
%dir %{_defaultdocdir}/glite-data-transfer-agents/examples/
%{_defaultdocdir}/glite-data-transfer-agents/examples/glite-transfer-vo-agent.properties
%{_defaultdocdir}/glite-data-transfer-agents/examples/glite-data-transfer-agents.conf
%{_defaultdocdir}/glite-data-transfer-agents/examples/README
%{_defaultdocdir}/glite-data-transfer-agents/examples/glite-transfer-channel-agent.properties

%changelog
 
