DECLARE
-- Insert File Procedure
PROCEDURE test_create_file(
                            f    T_FILE.FILE_ID%TYPE,
                            j    T_FILE.JOB_ID%TYPE,
                            st   T_FILE.FILE_STATE%TYPE,
                            src  T_FILE.SOURCE_SURL%TYPE, 
                            dst  T_FILE.DEST_SURL%TYPE,
                            fl   T_FILE.NUM_FAILURES%TYPE DEFAULT NULL,
                            cf   T_FILE.CURRENT_FAILURES%TYPE DEFAULT NULL,
                            ctf  T_FILE.CATALOG_FAILURES%TYPE DEFAULT NULL,
                            l    T_FILE.LOGICAL_NAME%TYPE DEFAULT NULL,
                            r    T_FILE.REASON_CLASS%TYPE DEFAULT NULL,
                            rs   T_FILE.REASON%TYPE DEFAULT NULL)
IS                            
BEGIN
    INSERT INTO t_file(file_id,job_id,file_state,source_surl,dest_surl,num_failures,current_failures,catalog_failures,logical_name,reason_class, reason) 
        VALUES (f,j,st,src,dst,fl,cf,ctf,l,r,rs);
END;

-- Main
BEGIN
	-- Set Records
    test_create_file(10000001,'10000000-0000-0000-0000-000000000001','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000002,'10000000-0000-0000-0000-000000000001','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000003,'10000000-0000-0000-0000-000000000002','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000004,'10000000-0000-0000-0000-000000000002','Done'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000005,'10000000-0000-0000-0000-000000000002','Done'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000006,'10000000-0000-0000-0000-000000000003','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000007,'10000000-0000-0000-0000-000000000004','Ready'    ,'srm://host.cern.ch:8443/tmp/this-file-should-fail-during-submission.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000008,'10000000-0000-0000-0000-000000000004','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000009,'10000000-0000-0000-0000-000000000005','Ready'    ,'srm://host.cern.ch:8443/tmp/this-file-should-fail-during-submission.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000010,'10000000-0000-0000-0000-000000000006','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000011,'10000000-0000-0000-0000-000000000006','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000012,'10000000-0000-0000-0000-000000000007','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000013,'10000000-0000-0000-0000-000000000007','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000014,'10000000-0000-0000-0000-000000000008','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000015,'10000000-0000-0000-0000-000000000008','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000031,'10000000-0000-0000-0000-000000000008','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000032,'10000000-0000-0000-0000-000000000008','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000033,'10000000-0000-0000-0000-000000000008','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000034,'10000000-0000-0000-0000-000000000008','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000016,'10000000-0000-0000-0000-000000000009','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000017,'10000000-0000-0000-0000-000000000009','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000018,'10000000-0000-0000-0000-000000000009','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000019,'10000000-0000-0000-0000-000000000009','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000020,'10000000-0000-0000-0000-000000000010','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000021,'10000000-0000-0000-0000-000000000010','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000022,'10000000-0000-0000-0000-000000000010','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000023,'10000000-0000-0000-0000-000000000010','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000024,'10000000-0000-0000-0000-000000000011','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000025,'10000000-0000-0000-0000-000000000011','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000026,'10000000-0000-0000-0000-000000000012','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000027,'10000000-0000-0000-0000-000000000012','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000028,'10000000-0000-0000-0000-000000000012','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000029,'10000000-0000-0000-0000-000000000012','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000030,'10000000-0000-0000-0000-000000000012','Done'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(10000131,'10000000-0000-0000-0000-000000000101','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000132,'10000000-0000-0000-0000-000000000101','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000133,'10000000-0000-0000-0000-000000000101','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000134,'10000000-0000-0000-0000-000000000101','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000135,'10000000-0000-0000-0000-000000000101','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000136,'10000000-0000-0000-0000-000000000102','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000137,'10000000-0000-0000-0000-000000000102','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000138,'10000000-0000-0000-0000-000000000102','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000139,'10000000-0000-0000-0000-000000000102','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000140,'10000000-0000-0000-0000-000000000102','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000141,'10000000-0000-0000-0000-000000000103','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000142,'10000000-0000-0000-0000-000000000103','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000143,'10000000-0000-0000-0000-000000000103','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000144,'10000000-0000-0000-0000-000000000103','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000145,'10000000-0000-0000-0000-000000000103','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000146,'10000000-0000-0000-0000-000000000104','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000147,'10000000-0000-0000-0000-000000000104','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000148,'10000000-0000-0000-0000-000000000104','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000149,'10000000-0000-0000-0000-000000000104','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000150,'10000000-0000-0000-0000-000000000104','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000151,'10000000-0000-0000-0000-000000000105','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000152,'10000000-0000-0000-0000-000000000105','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000153,'10000000-0000-0000-0000-000000000105','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000154,'10000000-0000-0000-0000-000000000105','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000155,'10000000-0000-0000-0000-000000000105','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000156,'10000000-0000-0000-0000-000000000106','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000157,'10000000-0000-0000-0000-000000000106','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000158,'10000000-0000-0000-0000-000000000106','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000159,'10000000-0000-0000-0000-000000000106','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000160,'10000000-0000-0000-0000-000000000106','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000161,'10000000-0000-0000-0000-000000000107','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000162,'10000000-0000-0000-0000-000000000107','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000163,'10000000-0000-0000-0000-000000000107','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000164,'10000000-0000-0000-0000-000000000107','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000165,'10000000-0000-0000-0000-000000000107','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000166,'10000000-0000-0000-0000-000000000108','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000167,'10000000-0000-0000-0000-000000000108','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000168,'10000000-0000-0000-0000-000000000108','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000169,'10000000-0000-0000-0000-000000000108','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000170,'10000000-0000-0000-0000-000000000108','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(10000201,'10000000-0000-0000-0000-000000000201','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.bnl.gov:8443/tmp/dst.txt');
    test_create_file(10000202,'10000000-0000-0000-0000-000000000201','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.bnl.gov:8443/tmp/dst.txt');
    test_create_file(10000203,'10000000-0000-0000-0000-000000000201','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.bnl.gov:8443/tmp/dst.txt');
    test_create_file(10000204,'10000000-0000-0000-0000-000000000201','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.bnl.gov:8443/tmp/dst.txt');
    test_create_file(10000205,'10000000-0000-0000-0000-000000000202','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.bnl.gov:8443/tmp/dst.txt');
    test_create_file(10000206,'10000000-0000-0000-0000-000000000202','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.bnl.gov:8443/tmp/dst.txt');
    test_create_file(10000207,'10000000-0000-0000-0000-000000000202','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.bnl.gov:8443/tmp/dst.txt');
    test_create_file(10000208,'10000000-0000-0000-0000-000000000202','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.bnl.gov:8443/tmp/dst.txt');
    test_create_file(10000209,'10000000-0000-0000-0000-000000000203','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(10000210,'10000000-0000-0000-0000-000000000203','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(10000211,'10000000-0000-0000-0000-000000000203','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(10000212,'10000000-0000-0000-0000-000000000203','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(10000213,'10000000-0000-0000-0000-000000000204','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(10000214,'10000000-0000-0000-0000-000000000204','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(10000215,'10000000-0000-0000-0000-000000000204','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(10000216,'10000000-0000-0000-0000-000000000204','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(10000217,'10000000-0000-0000-0000-000000000205','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000218,'10000000-0000-0000-0000-000000000205','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000219,'10000000-0000-0000-0000-000000000205','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000220,'10000000-0000-0000-0000-000000000205','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000221,'10000000-0000-0000-0000-000000000206','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000222,'10000000-0000-0000-0000-000000000206','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000223,'10000000-0000-0000-0000-000000000206','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000224,'10000000-0000-0000-0000-000000000206','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000225,'10000000-0000-0000-0000-000000000207','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.fnal.gov:8443/tmp/dst.txt');
    test_create_file(10000226,'10000000-0000-0000-0000-000000000207','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.fnal.gov:8443/tmp/dst.txt');
    test_create_file(10000227,'10000000-0000-0000-0000-000000000207','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.fnal.gov:8443/tmp/dst.txt');
    test_create_file(10000228,'10000000-0000-0000-0000-000000000207','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.fnal.gov:8443/tmp/dst.txt');
    test_create_file(10000229,'10000000-0000-0000-0000-000000000208','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.fnal.gov:8443/tmp/dst.txt');
    test_create_file(10000230,'10000000-0000-0000-0000-000000000208','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.fnal.gov:8443/tmp/dst.txt');
    test_create_file(10000231,'10000000-0000-0000-0000-000000000208','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.fnal.gov:8443/tmp/dst.txt');
    test_create_file(10000232,'10000000-0000-0000-0000-000000000208','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.fnal.gov:8443/tmp/dst.txt');
    test_create_file(10000233,'10000000-0000-0000-0000-000000000209','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(10000234,'10000000-0000-0000-0000-000000000209','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(10000235,'10000000-0000-0000-0000-000000000209','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(10000236,'10000000-0000-0000-0000-000000000209','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(10000237,'10000000-0000-0000-0000-000000000210','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000238,'10000000-0000-0000-0000-000000000210','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000239,'10000000-0000-0000-0000-000000000210','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000240,'10000000-0000-0000-0000-000000000210','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000301,'10000000-0000-0000-0000-000000000301','Ready'    ,'srm://host1.infn.it:8443/tmp/src.txt','srm://host1.cern.ch:8443/tmp/dst.txt');
    test_create_file(10000302,'10000000-0000-0000-0000-000000000301','Ready'    ,'srm://host1.infn.it:8443/tmp/src.txt','srm://host1.cern.ch:8443/tmp/dst.txt');
    test_create_file(10000303,'10000000-0000-0000-0000-000000000301','Ready'    ,'srm://host1.infn.it:8443/tmp/src.txt','srm://host1.cern.ch:8443/tmp/dst.txt');
    test_create_file(10000304,'10000000-0000-0000-0000-000000000302','Active'   ,'srm://host1.catania.infn.it:8443/tmp/src.txt','srm://host1.cern.ch:8443/tmp/dst.txt');
    test_create_file(10000305,'10000000-0000-0000-0000-000000000302','Ready'    ,'srm://host1.catania.infn.it:8443/tmp/src.txt','srm://host1.cern.ch:8443/tmp/dst.txt');
    test_create_file(10000306,'10000000-0000-0000-0000-000000000302','Ready'    ,'srm://host1.catania.infn.it:8443/tmp/src.txt','srm://host1.cern.ch:8443/tmp/dst.txt');
    test_create_file(10000307,'10000000-0000-0000-0000-000000000303','Ready'    ,'srm://host1.pisa.infn.it:8443/tmp/src.txt','srm://host1.cern.ch:8443/tmp/dst.txt');
    test_create_file(10000308,'10000000-0000-0000-0000-000000000303','Ready'    ,'srm://host1.pisa.infn.it:8443/tmp/src.txt','srm://host1.cern.ch:8443/tmp/dst.txt');
    test_create_file(10000309,'10000000-0000-0000-0000-000000000303','Ready'    ,'srm://host1.pisa.infn.it:8443/tmp/src.txt','srm://host1.cern.ch:8443/tmp/dst.txt');

    test_create_file(10000401,'10000000-0000-0000-0000-000000000401','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000402,'10000000-0000-0000-0000-000000000402','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000403,'10000000-0000-0000-0000-000000000403','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000404,'10000000-0000-0000-0000-000000000404','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000405,'10000000-0000-0000-0000-000000000405','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000406,'10000000-0000-0000-0000-000000000406','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000407,'10000000-0000-0000-0000-000000000407','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000408,'10000000-0000-0000-0000-000000000408','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000409,'10000000-0000-0000-0000-000000000409','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000410,'10000000-0000-0000-0000-000000000410','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000411,'10000000-0000-0000-0000-000000000411','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000412,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000413,'10000000-0000-0000-0000-000000000413','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000414,'10000000-0000-0000-0000-000000000414','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000415,'10000000-0000-0000-0000-000000000415','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000416,'10000000-0000-0000-0000-000000000416','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000417,'10000000-0000-0000-0000-000000000417','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000418,'10000000-0000-0000-0000-000000000418','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000419,'10000000-0000-0000-0000-000000000419','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000420,'10000000-0000-0000-0000-000000000420','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000421,'10000000-0000-0000-0000-000000000421','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000422,'10000000-0000-0000-0000-000000000422','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000423,'10000000-0000-0000-0000-000000000411','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000424,'10000000-0000-0000-0000-000000000411','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000425,'10000000-0000-0000-0000-000000000411','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000426,'10000000-0000-0000-0000-000000000411','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000427,'10000000-0000-0000-0000-000000000411','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000428,'10000000-0000-0000-0000-000000000411','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000430,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000431,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000432,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000433,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000434,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000435,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000436,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000437,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
--    test_create_file(10000438,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
 
        
    -- CheckState Test Case
    test_create_file(20000001,'20000000-0000-0000-0000-000000000001','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000002,'20000000-0000-0000-0000-000000000001','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000003,'20000000-0000-0000-0000-000000000002','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000004,'20000000-0000-0000-0000-000000000002','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000005,'20000000-0000-0000-0000-000000000003','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000006,'20000000-0000-0000-0000-000000000003','Done'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000007,'20000000-0000-0000-0000-000000000003','Failed'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt',1,0,1);
    test_create_file(20000008,'20000000-0000-0000-0000-000000000004','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000009,'20000000-0000-0000-0000-000000000004','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000010,'20000000-0000-0000-0000-000000000005','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000011,'20000000-0000-0000-0000-000000000005','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000012,'20000000-0000-0000-0000-000000000006','Active'   ,'srm://host.cern.ch:8443/tmp/this-file-should-fail-in-processing.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000013,'20000000-0000-0000-0000-000000000006','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000014,'20000000-0000-0000-0000-000000000007','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000015,'20000000-0000-0000-0000-000000000007','Hold'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt',2,2);
    test_create_file(20000016,'20000000-0000-0000-0000-000000000008','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000017,'20000000-0000-0000-0000-000000000008','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000018,'20000000-0000-0000-0000-000000000009','Failed'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000019,'20000000-0000-0000-0000-000000000009','Done'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000020,'20000000-0000-0000-0000-000000000010','Done'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000021,'20000000-0000-0000-0000-000000000010','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000022,'20000000-0000-0000-0000-000000000011','Failed'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000023,'20000000-0000-0000-0000-000000000011','Done'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000024,'20000000-0000-0000-0000-000000000011','Hold'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000025,'20000000-0000-0000-0000-000000000012','Canceled' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000026,'20000000-0000-0000-0000-000000000012','Hold'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(20000027,'20000000-0000-0000-0000-000000000012','Done'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    
    test_create_file(30000001,'30000000-0000-0000-0000-000000000001','Done'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.imperial.ac.uk:8443/tmp/dst.txt');
    test_create_file(30000002,'30000000-0000-0000-0000-000000000001','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.imperial.ac.uk:8443/tmp/dst.txt');
    test_create_file(30000003,'30000000-0000-0000-0000-000000000002','Pending'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.imperial.ac.uk:8443/tmp/dst.txt');
    test_create_file(30000004,'30000000-0000-0000-0000-000000000002','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.imperial.ac.uk:8443/tmp/dst.txt');
    test_create_file(30000005,'30000000-0000-0000-0000-000000000002','Hold'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.imperial.ac.uk:8443/tmp/dst.txt');
    test_create_file(30000006,'30000000-0000-0000-0000-000000000003','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.imperial.ac.uk:8443/tmp/dst.txt');
    test_create_file(30000007,'30000000-0000-0000-0000-000000000003','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.imperial.ac.uk:8443/tmp/dst.txt');
    test_create_file(30000008,'30000000-0000-0000-0000-000000000004','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.imperial.ac.uk:8443/tmp/dst.txt');
    test_create_file(30000009,'30000000-0000-0000-0000-000000000004','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.imperial.ac.uk:8443/tmp/dst.txt');
    test_create_file(30000010,'30000000-0000-0000-0000-000000000005','Done'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.imperial.ac.uk:8443/tmp/dst.txt');
    test_create_file(30000011,'30000000-0000-0000-0000-000000000005','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.imperial.ac.uk:8443/tmp/dst.txt');
    test_create_file(30000012,'30000000-0000-0000-0000-000000000005','Hold'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.imperial.ac.uk:8443/tmp/dst.txt');
    test_create_file(30000013,'30000000-0000-0000-0000-000000000005','Failed'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.imperial.ac.uk:8443/tmp/dst.txt');
    test_create_file(40000001,'40000000-0000-0000-0000-000000000000','Pending'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000002,'40000000-0000-0000-0000-000000000000','Pending'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000003,'40000000-0000-0000-0000-000000000001','Failed'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000004,'40000000-0000-0000-0000-000000000001','Pending'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000005,'40000000-0000-0000-0000-000000000002','AwaitingPrestage','srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000006,'40000000-0000-0000-0000-000000000002','Pending'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000007,'40000000-0000-0000-0000-000000000003','WaitingPrestage','srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000008,'40000000-0000-0000-0000-000000000003','Prestaging','srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000009,'40000000-0000-0000-0000-000000000004','Pending'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000010,'40000000-0000-0000-0000-000000000004','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000011,'40000000-0000-0000-0000-000000000005','Failed'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000012,'40000000-0000-0000-0000-000000000005','Hold'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000013,'40000000-0000-0000-0000-000000000006','Pending'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000014,'40000000-0000-0000-0000-000000000006','Hold'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000015,'40000000-0000-0000-0000-000000000007','Pending'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000016,'40000000-0000-0000-0000-000000000007','Ready'    ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000017,'40000000-0000-0000-0000-000000000007','Hold'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000018,'40000000-0000-0000-0000-000000000008','Pending'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000019,'40000000-0000-0000-0000-000000000008','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    test_create_file(40000020,'40000000-0000-0000-0000-000000000008','Hold'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt');
    -- Allocate Test Case
    test_create_file(50000001,'50000000-0000-0000-0000-000000000000','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(50000002,'50000000-0000-0000-0000-000000000000','Submitted','srm://host.cern.ch/tmp/src.txt','srm://host.infn.it/tmp/dst.txt');
    test_create_file(50000003,'50000000-0000-0000-0000-000000000001','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(50000004,'50000000-0000-0000-0000-000000000001','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.desy.de:8443/tmp/dst.txt');
    test_create_file(50000005,'50000000-0000-0000-0000-000000000002','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(50000006,'50000000-0000-0000-0000-000000000002','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.nikhef.nl:8443/tmp/dst.txt');
    test_create_file(50000007,'50000000-0000-0000-0000-000000000003','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.desy.de:8443/tmp/dst.txt');
    test_create_file(50000008,'50000000-0000-0000-0000-000000000003','Pending'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.desy.de:8443/tmp/dst.txt');
    test_create_file(50000009,'50000000-0000-0000-0000-000000000004','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(50000010,'50000000-0000-0000-0000-000000000004','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(50000011,'50000000-0000-0000-0000-000000000005','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(50000012,'50000000-0000-0000-0000-000000000005','WaitingCatalogResolution','srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(50000013,'50000000-0000-0000-0000-000000000006','Pending','srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(50000014,'50000000-0000-0000-0000-000000000006','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.desy.de:8443/tmp/dst.txt');
    test_create_file(50000015,'50000000-0000-0000-0000-000000000007','Submitted',NULL,NULL,NULL,NULL,NULL,'/tmp/src1.txt');
    test_create_file(50000016,'50000000-0000-0000-0000-000000000007','Submitted',NULL,NULL,NULL,NULL,NULL,'/tmp/src2.txt');
    test_create_file(50000017,'50000000-0000-0000-0000-000000000008','Submitted','srm://host.cern.ch:8443/tmp/src3.txt',NULL,NULL,NULL,NULL,'/tmp/src3.txt');
    test_create_file(50000018,'50000000-0000-0000-0000-000000000008','Submitted','srm://host.cern.ch:8443/tmp/src4.txt','srm://host.infn.it:8443/tmp/dst4.txt',NULL,NULL,NULL,'/tmp/src4.txt');
    test_create_file(50000019,'50000000-0000-0000-0000-000000000009','Submitted',NULL,NULL,NULL,NULL,NULL,'/tmp/src1.txt');
    test_create_file(50000020,'50000000-0000-0000-0000-000000000009','WaitingCatalogResolution',NULL,NULL,NULL,NULL,NULL,'/tmp/src2.txt');
    test_create_file(50000021,'50000000-0000-0000-0000-000000000010','Submitted',NULL,NULL,NULL,NULL,NULL,'/tmp/src1.txt');
    test_create_file(50000022,'50000000-0000-0000-0000-000000000010','Submitted',NULL,NULL,NULL,NULL,NULL,'/tmp/src2.txt');
    test_create_file(50000023,'50000000-0000-0000-0000-000000000011','Submitted',NULL,NULL,NULL,NULL,NULL,'/fail/test/this-should-fail.txt');
    test_create_file(50000024,'50000000-0000-0000-0000-000000000012','Submitted',NULL,NULL,NULL,NULL,NULL,'/tmp/this-lfn-doesnt-exist.txt');
    test_create_file(50000025,'50000000-0000-0000-0000-000000000013','Submitted',NULL,NULL,NULL,NULL,NULL,'/tmp/src1.txt');
    test_create_file(50000026,'50000000-0000-0000-0000-000000000014','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(50000027,'50000000-0000-0000-0000-000000000014','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(50000028,'50000000-0000-0000-0000-000000000015','Submitted',NULL,NULL,NULL,NULL,NULL,'/tmp/this-lfn-doesnt-exist.txt');
    test_create_file(50000029,'50000000-0000-0000-0000-000000000015','Pending',NULL,NULL,NULL,NULL,NULL,'/tmp/src1.txt');
    test_create_file(50000030,'50000000-0000-0000-0000-000000000016','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.fnal.gov:8443/tmp/dst.txt');
    test_create_file(50000031,'50000000-0000-0000-0000-000000000016','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.fnal.gov:8443/tmp/dst.txt');
    test_create_file(50000032,'50000000-0000-0000-0000-000000000017','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.bnl.gov:8443/tmp/dst.txt');
    test_create_file(50000033,'50000000-0000-0000-0000-000000000017','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.bnl.gov:8443/tmp/dst.txt');
    test_create_file(50000034,'50000000-0000-0000-0000-000000000018','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(50000035,'50000000-0000-0000-0000-000000000018','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host2.infn.it:8443/tmp/dst.txt');
    test_create_file(50000036,'50000000-0000-0000-0000-000000000019','Submitted','srm://bad.cern.ch:8443/tmp/src.txt' ,'srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(50000037,'50000000-0000-0000-0000-000000000019','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://bad.infn.it:8443/tmp/dst.txt');
    test_create_file(50000101,'50000000-0000-0000-0000-000000000100','Submitted','srm://host1.infn.it:8443/tmp/src.txt','srm://host1.cern.ch:8443/tmp/dst.txt');
    test_create_file(50000102,'50000000-0000-0000-0000-000000000100','Submitted','srm://host1.infn.it/tmp/src.txt','srm://host1.cern.ch/tmp/dst.txt');
    test_create_file(50000103,'50000000-0000-0000-0000-000000000101','Submitted','srm://host1.catania.infn.it:8443/tmp/src.txt','srm://host1.cern.ch:8443/tmp/dst.txt');
    test_create_file(50000104,'50000000-0000-0000-0000-000000000101','Submitted','srm://host1.catania.infn.it:8443/tmp/src.txt','srm://host1.cern.ch:8443/tmp/dst.txt');
    test_create_file(50000105,'50000000-0000-0000-0000-000000000102','Submitted','srm://host1.catania.infn.it:8443/tmp/src.txt','srm://host1.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(50000106,'50000000-0000-0000-0000-000000000102','Submitted','srm://host1.catania.infn.it:8443/tmp/src.txt','srm://host1.ral.ac.uk:8443/tmp/dst.txt');
    -- Allocate : bugs
    test_create_file(51000001,'50000000-0000-0000-0000-100000000001','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(51000002,'50000000-0000-0000-0000-100000000001','Submitted','srm://host.cern.ch:8443/tmp/src.txt','srm://host2.infn.it:8443/tmp/dst.txt');

    test_create_file(60000001,'60000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1);
    test_create_file(60000002,'60000000-0000-0000-0000-000000000001','Done'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',0,0);
    test_create_file(60000003,'60000000-0000-0000-0000-000000000002','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1);
    test_create_file(60000004,'60000000-0000-0000-0000-000000000002','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1);
    test_create_file(60000005,'60000000-0000-0000-0000-000000000003','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1);
    test_create_file(60000006,'60000000-0000-0000-0000-000000000003','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',12,6);
    test_create_file(60000007,'60000000-0000-0000-0000-000000000004','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',6,6);
    test_create_file(60000008,'60000000-0000-0000-0000-000000000004','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',12,6);
    test_create_file(60000009,'60000000-0000-0000-0000-000000000005','Done'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',0,0);
    test_create_file(60000010,'60000000-0000-0000-0000-000000000005','Failed'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1);
    test_create_file(60000011,'60000000-0000-0000-0000-000000000005','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',12,6);
    test_create_file(60000012,'60000000-0000-0000-0000-000000000006','Pending'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',0,0);
    test_create_file(60000013,'60000000-0000-0000-0000-000000000006','WaitingCatalogResolution'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,0,1,NULL,'REMOTE_ERROR');
    test_create_file(60000014,'60000000-0000-0000-0000-000000000007','Pending'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',0,0);
    test_create_file(60000015,'60000000-0000-0000-0000-000000000007','WaitingCatalogResolution'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,0,1,NULL,'AGENT_ERROR');
    test_create_file(60000016,'60000000-0000-0000-0000-000000000008','Pending'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',0,0);
    test_create_file(60000017,'60000000-0000-0000-0000-000000000008','WaitingCatalogResolution'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,0,1,NULL,'REMOTE_ERROR');
    test_create_file(60000018,'60000000-0000-0000-0000-000000000009','WaitingCatalogResolution'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',12,0,12,NULL,'REMOTE_ERROR');
    test_create_file(60000019,'60000000-0000-0000-0000-000000000010','Finished' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',0,0);
    test_create_file(60000020,'60000000-0000-0000-0000-000000000010','WaitingCatalogRegistration'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,0,1,NULL,'REMOTE_ERROR');
    test_create_file(60000021,'60000000-0000-0000-0000-000000000011','Finished' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',0,0);
    test_create_file(60000022,'60000000-0000-0000-0000-000000000011','WaitingCatalogRegistration'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,0,1,NULL,'AGENT_ERROR');
    test_create_file(60000023,'60000000-0000-0000-0000-000000000012','Finished' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',0,0);
    test_create_file(60000024,'60000000-0000-0000-0000-000000000012','WaitingCatalogRegistration'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,0,1,NULL,'REMOTE_ERROR');
    test_create_file(60000025,'60000000-0000-0000-0000-000000000013','WaitingCatalogRegistration'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',12,0,12,NULL,'REMOTE_ERROR');
    test_create_file(60000026,'60000000-0000-0000-0000-000000000014','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,0,1,NULL,'AGENT_ERROR');
    test_create_file(60000027,'60000000-0000-0000-0000-000000000014','Done'     ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',0,0);
    test_create_file(60000028,'60000000-0000-0000-0000-000000000015','Finished' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',0,0);
    test_create_file(60000029,'60000000-0000-0000-0000-000000000015','WaitingCatalogRegistration' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,0,1,NULL,'REMOTE_ERROR');
    test_create_file(60000030,'60000000-0000-0000-0000-000000000016','Pending'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',0,0);
    test_create_file(60000031,'60000000-0000-0000-0000-000000000016','WaitingCatalogResolution'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,0,1,NULL,'REMOTE_ERROR');
    test_create_file(60000032,'60000000-0000-0000-0000-000000000017','Finishing','srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',0,0);
    test_create_file(60000033,'60000000-0000-0000-0000-000000000017','WaitingCatalogRegistration' ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,0,1,NULL,'REMOTE_ERROR');
    test_create_file(60000034,'60000000-0000-0000-0000-000000000018','Failed'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',0,0);
    test_create_file(60000035,'60000000-0000-0000-0000-000000000018','WaitingCatalogResolution'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,0,1,NULL,'REMOTE_ERROR');
    
    -- ActiveTxCache test case 
    test_create_file(70000001,'70000000-0000-0000-0000-000000000001','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000002,'70000000-0000-0000-0000-000000000001','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000003,'70000000-0000-0000-0000-000000000002','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000004,'70000000-0000-0000-0000-000000000002','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000005,'70000000-0000-0000-0000-000000000003','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000006,'70000000-0000-0000-0000-000000000003','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000007,'70000000-0000-0000-0000-000000000004','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000008,'70000000-0000-0000-0000-000000000004','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000009,'70000000-0000-0000-0000-000000000005','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000010,'70000000-0000-0000-0000-000000000005','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000011,'70000000-0000-0000-0000-000000000006','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000012,'70000000-0000-0000-0000-000000000006','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000013,'70000000-0000-0000-0000-000000000006','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000014,'70000000-0000-0000-0000-000000000007','Active'   ,'srm://host1.cern.ch:8443/tmp/src.txt','srm://host1.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000015,'70000000-0000-0000-0000-000000000007','Active'   ,'srm://host1.cern.ch:8443/tmp/src.txt','srm://host1.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000016,'70000000-0000-0000-0000-000000000008','Active'   ,'srm://host1.cern.ch:8443/tmp/src.txt','srm://host2.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000017,'70000000-0000-0000-0000-000000000008','Active'   ,'srm://host1.cern.ch:8443/tmp/src.txt','srm://host2.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000018,'70000000-0000-0000-0000-000000000009','Active'   ,'srm://host2.cern.ch:8443/tmp/src.txt','srm://host1.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000019,'70000000-0000-0000-0000-000000000009','Active'   ,'srm://host2.cern.ch:8443/tmp/src.txt','srm://host1.ral.ac.uk:8443/tmp/dst.txt');
    test_create_file(70000020,'70000000-0000-0000-0000-000000000009','Active'   ,'srm://host2.cern.ch:8443/tmp/src.txt','srm://host1.ral.ac.uk:8443/tmp/dst.txt');

    test_create_file(70000111,'70000000-0000-0000-0000-000000000010','Active'   ,'srm://host2.cern.ch:8443/tmp/s111.txt','srm://host1.ral.ac.uk:8443/tmp/d111.txt');
    test_create_file(70000112,'70000000-0000-0000-0000-000000000010','Active'   ,'srm://host2.cern.ch:8443/tmp/s112.txt','srm://host1.ral.ac.uk:8443/tmp/d112.txt');
    test_create_file(70000113,'70000000-0000-0000-0000-000000000010','Active'   ,'srm://host2.cern.ch:8443/tmp/s113.txt','srm://host1.ral.ac.uk:8443/tmp/d113.txt');

    test_create_file(70000121,'70000000-0000-0000-0000-000000000020','Active'   ,'srm://host2.cern.ch:8443/tmp/s121.txt','srm://host1.ral.ac.uk:8443/tmp/d121.txt');
    test_create_file(70000122,'70000000-0000-0000-0000-000000000020','Active'   ,'srm://host2.cern.ch:8443/tmp/s122.txt','srm://host1.ral.ac.uk:8443/tmp/d122.txt');
    test_create_file(70000123,'70000000-0000-0000-0000-000000000020','Active'   ,'srm://host2.cern.ch:8443/tmp/s123.txt','srm://host1.ral.ac.uk:8443/tmp/d123.txt');

    test_create_file(70000131,'70000000-0000-0000-0000-000000000030','Active'   ,'srm://host2.cern.ch:8443/tmp/s131.txt','srm://host1.ral.ac.uk:8443/tmp/d131.txt');
    test_create_file(70000132,'70000000-0000-0000-0000-000000000030','Active'   ,'srm://host2.cern.ch:8443/tmp/s132.txt','srm://host1.ral.ac.uk:8443/tmp/d132.txt');
    test_create_file(70000133,'70000000-0000-0000-0000-000000000030','Active'   ,'srm://host2.cern.ch:8443/tmp/s133.txt','srm://host1.ral.ac.uk:8443/tmp/d133.txt');
        
    -- smarter retry
    /*
    test_create_file(80000001,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'AGENT_ERROR','An error');
    test_create_file(80000002,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'AGENT_ERROR','An error');
    test_create_file(80000003,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'SOURCE_SRM_ERROR','Failed on SRM get: SRM getRequestStatus timed out on get');
    test_create_file(80000004,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'SOURCE_SRM_ERROR','Failed on SRM get: SRM getRequestStatus timed out on get');
    test_create_file(80000005,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',2,2,NULL,NULL,'SOURCE_SRM_ERROR','Failed on SRM get: SRM getRequestStatus timed out on get');
    test_create_file(80000006,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',2,2,NULL,NULL,'SOURCE_SRM_ERROR','Failed on SRM get: SRM getRequestStatus timed out on get');
    test_create_file(80000007,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'SOURCE_SRM_ERROR','[SRM_INVALID_PATH] Failed on SRM get: Failed SRM get call. Error is specified file(s) does not exist');
    test_create_file(80000008,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'SOURCE_SRM_ERROR','An error');
    test_create_file(80000009,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'SOURCE_SRM_ERROR','An error');
    test_create_file(80000010,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'DEST_SRM_ERROR','[SRM_DUPLICATION_ERROR] RequestFileStatus#-2147081737 failed with error:[ GetStorageInfoFailed : file exists, cannot write ]');
    test_create_file(80000011,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'DEST_SRM_ERROR','[SRM_DUPLICATION_ERROR] RequestFileStatus#-2147081737 failed with error:[ GetStorageInfoFailed : file exists, cannot write ]');
    test_create_file(80000012,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'DEST_SRM_ERROR','An error');
    test_create_file(80000013,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'DEST_SRM_ERROR','An error');
    test_create_file(80000014,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'SECURITY_ERROR','Invalid Credentials');
    test_create_file(80000015,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'CONFIGURATION_ERROR','Invalid Configuration');
    test_create_file(80000016,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',2,2,NULL,NULL,'DEST_SRM_ERROR','[SRM_DUPLICATION_ERROR] RequestFileStatus#-2147081737 failed with error:[ GetStorageInfoFailed : file exists, cannot write');
    test_create_file(80000017,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',2,2,NULL,NULL,'DEST_PREP_SRM_ERROR','[SRM_DUPLICATION_ERROR] RequestFileStatus#-2147081737 failed with error:[ GetStorageInfoFailed : file exists, cannot write ]');
    test_create_file(80000018,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',5,5,NULL,NULL,'DEST_SRM_ERROR','[SRM_DUPLICATION_ERROR] RequestFileStatus#-2147081737 failed with error:[ GetStorageInfoFailed : file exists, cannot write');
    test_create_file(80000019,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'TRANSFER_ERROR','file exists, cannot write');
    test_create_file(80000020,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'TRANSFER_ERROR','file exists, cannot write');
    test_create_file(80000021,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',2,2,NULL,NULL,'DEST_SRM_ERROR','[SRM_DUPLICATION_ERROR] RequestFileStatus#-2147081737 failed with error:[ GetStorageInfoFailed : file exists, cannot write');
    test_create_file(80000022,'80000000-0000-0000-0000-000000000001','Waiting'  ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.in2p3.fr:8443/tmp/dst.txt',1,1,NULL,NULL,'SECURITY_ERROR','TRANSFER error during TRANSFER phase: [PERMISSION] 533 533 Permission denied');
    */
    test_create_file(90000001,'90000000-0000-0000-0000-000000000000','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-1.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-1.txt');
    test_create_file(90000002,'90000000-0000-0000-0000-000000000000','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-2.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-2.txt');
    test_create_file(90000003,'90000000-0000-0000-0000-000000000001','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-3.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-3.txt');
    test_create_file(90000004,'90000000-0000-0000-0000-000000000001','Failed'   ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-4.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-4.txt');
    test_create_file(90000005,'90000000-0000-0000-0000-000000000002','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-5.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-5.txt'  ,NULL,NULL,NULL,'/tmp/src9-5.txt');
    test_create_file(90000006,'90000000-0000-0000-0000-000000000002','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-6.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-6.txt'  ,NULL,NULL,NULL,'/tmp/src9-6.txt');
    test_create_file(90000007,'90000000-0000-0000-0000-000000000003','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-7.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-7.txt'  ,NULL,NULL,NULL,'/tmp/src9-7.txt');
    test_create_file(90000008,'90000000-0000-0000-0000-000000000003','Failed'   ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-8.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-8.txt');
    test_create_file(90000009,'90000000-0000-0000-0000-000000000004','Finishing','srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-9.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-9.txt');
    test_create_file(90000010,'90000000-0000-0000-0000-000000000004','Finishing','srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-10.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-10.txt');
    test_create_file(90000011,'90000000-0000-0000-0000-000000000005','Finishing','srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-11.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-11.txt'  ,NULL,NULL,NULL,'/tmp/src9-11.txt');
    test_create_file(90000012,'90000000-0000-0000-0000-000000000005','WaitingCatalogRegistration'   ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-12.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-12.txt'  ,NULL,NULL,NULL,'/tmp/src9-12.txt');
    test_create_file(90000013,'90000000-0000-0000-0000-000000000006','Finished' ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-13.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-13.txt'  ,NULL,NULL,NULL,'/tmp/src9-13.txt');
    test_create_file(90000014,'90000000-0000-0000-0000-000000000006','WaitingCatalogRegistration'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-14.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-14.txt'  ,NULL,NULL,NULL,'/tmp/src9-14.txt');
    test_create_file(90000015,'90000000-0000-0000-0000-000000000007','Finished' ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-15.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-15.txt'  ,NULL,NULL,NULL,'/tmp/src9-15.txt');
    test_create_file(90000016,'90000000-0000-0000-0000-000000000007','Finished' ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-16.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-16.txt',NULL,NULL,NULL,'/tmp/src9-16.txt');
    test_create_file(90000017,'90000000-0000-0000-0000-000000000008','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-17.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-17.txt'  ,NULL,NULL,NULL,'/tmp/src9-17.txt');
    test_create_file(90000018,'90000000-0000-0000-0000-000000000008','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/fail/src9-18.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/fail/src9-18.txt',NULL,NULL,NULL,'/fail/src9-18.txt');
    test_create_file(90000019,'90000000-0000-0000-0000-000000000009','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-19.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-19.txt'  ,NULL,NULL,NULL,'/tmp/src9-19.txt');
    test_create_file(90000020,'90000000-0000-0000-0000-000000000009','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-20.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-20.txt',NULL,NULL,NULL,'/tmp/src9-20.txt');
    test_create_file(90000021,'90000000-0000-0000-0000-000000000010','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-21.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-21.txt');
    test_create_file(90000022,'90000000-0000-0000-0000-000000000010','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-22.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-22.txt');
    test_create_file(90000023,'90000000-0000-0000-0000-000000000011','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-23.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-23.txt'  ,NULL,NULL,NULL,'/tmp/src9-23.txt');
    test_create_file(90000024,'90000000-0000-0000-0000-000000000011','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-24.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-24.txt',NULL,NULL,NULL,'/tmp/src9-24.txt');
    test_create_file(90000025,'90000000-0000-0000-0000-000000000012','Finishing','srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-25.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-25.txt');
    test_create_file(90000026,'90000000-0000-0000-0000-000000000012','Finishing','srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-26.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-26.txt');
    test_create_file(90000027,'90000000-0000-0000-0000-000000000013','Finishing','srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-27.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-27.txt'  ,NULL,NULL,NULL,'/tmp/src9-27.txt');
    test_create_file(90000028,'90000000-0000-0000-0000-000000000013','Finishing','srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-28.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-28.txt',NULL,NULL,NULL,'/tmp/src9-28.txt');
    test_create_file(90000029,'90000000-0000-0000-0000-000000000014','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-29.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-29.txt',NULL,NULL,NULL,'/tmp/src9-29.txt');
    test_create_file(90000030,'90000000-0000-0000-0000-000000000014','Done'     ,'srm://host.cern.ch:8443/srm/managerv1?SFN=/castor/cern.ch/SE/tmp/src9-30.txt','srm://host.ral.ac.uk:8443/srm/managerv1?SFN=/pnfs/ral.ac.uk/SE/VOLATILE/tmp/src9-30.txt',NULL,NULL,NULL,'/tmp/src9-30.txt');
END;
/
