DECLARE
-- Insert Job Procedure
PROCEDURE test_create_job(
                            j    T_JOB.JOB_ID%TYPE,
                            st   T_JOB.JOB_STATE%TYPE,
                            dn   T_JOB.USER_DN%TYPE, 
                            cr   T_JOB.USER_CRED%TYPE,
                            vo   T_JOB.VO_NAME%TYPE, 
                            ch   T_JOB.CHANNEL_NAME%TYPE,
                            src  T_JOB.SOURCE%TYPE, 
                            dst  T_JOB.DEST%TYPE,
                            cj   T_JOB.CANCEL_JOB%TYPE DEFAULT NULL,
                            ip   T_JOB.INTERNAL_JOB_PARAMS%TYPE DEFAULT NULL,
                            jst  T_JOB.SUBMIT_TIME%TYPE DEFAULT NULL,
                            s_se T_JOB.SOURCE_SE%TYPE DEFAULT NULL, 
                            d_se T_JOB.DEST_SE%TYPE DEFAULT NULL)
IS         
    v_source_se VARCHAR2(256);
    v_dest_se   VARCHAR2(256);
BEGIN
    IF s_se IS NULL THEN
        v_source_se := src;
    ELSE 
        v_source_se := s_se;
    END IF;
    IF d_se IS NULL THEN
        v_dest_se := dst;
    ELSE 
        v_dest_se := d_se;
    END IF;
    
    IF jst IS NULL THEN
        INSERT INTO t_job(job_id,job_state,user_dn,user_cred,vo_name,channel_name,source,dest,cancel_job, internal_job_params, source_se, dest_se) 
            VALUES (j,st,dn,cr,vo,ch,src,dst,cj,ip, v_source_se, v_dest_se);
    ELSE 
        INSERT INTO t_job(job_id,job_state,user_dn,user_cred,vo_name,channel_name,source,dest,cancel_job, internal_job_params,submit_time, source_se, dest_se) 
            VALUES (j,st,dn,cr,vo,ch,src,dst,cj,ip,jst, v_source_se, v_dest_se);
    END IF;
END;

-- Main
BEGIN
    -- Set Records
    -- Fetch Test Case 
    test_create_job('10000000-0000-0000-0000-000000000001','Ready'    ,'DN','MyCred','VO_1'              ,'FETCH_channel_1'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '40' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000002','Active'   ,'DN','MyCred','VO_2'              ,'FETCH_channel_1'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '39' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000003','Ready'    ,'DN','MyCred','VO_1'              ,'FETCH_channel_2'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '38' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000004','Ready'    ,'DN','MyCred','VO_1'              ,'FETCH_channel_1'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '37' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000005','Ready'    ,'DN','MyCred','VO_1'              ,'FETCH_channel_1'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '36' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000006','Ready'    ,'DN','MyCred','VO_1'              ,'FETCH_channel_1'     ,NULL          ,NULL, 'Y', NULL,  SYSTIMESTAMP - INTERVAL '35' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000007','Active'   ,'DN','MyCred','VO_1'              ,'FETCH_channel_1'     ,NULL          ,NULL, 'Y', NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000008','Ready'    ,'DN','MyCred','VO_1'              ,'FETCH_channel_1'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '33' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000009','Ready'    ,'DN','MyCred','VO_2'              ,'FETCH_channel_1'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '32' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000010','Ready'    ,'DN','MyCred','VO_2'              ,'FETCH_channel_1'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '31' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000011','Active'   ,'DN','MyCred','VO_1'              ,'FETCH_channel_1'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '30' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000012','Active'   ,'DN','MyCred','VO_2'              ,'FETCH_channel_1'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '29' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000101','Ready'    ,'DN','MyCred','VO_1'              ,'FETCH_channel_3'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '28' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000102','Ready'    ,'DN','MyCred','VO_1'              ,'FETCH_channel_3'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '27' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000103','Ready'    ,'DN','MyCred','VO_2'              ,'FETCH_channel_3'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '26' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000104','Ready'    ,'DN','MyCred','VO_2'              ,'FETCH_channel_3'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '25' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000105','Ready'    ,'DN','MyCred','VO_3'              ,'FETCH_channel_3'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '24' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000106','Ready'    ,'DN','MyCred','VO_3'              ,'FETCH_channel_3'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '23' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000107','Ready'    ,'DN','MyCred','VO_4'              ,'FETCH_channel_3'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '22' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000108','Ready'    ,'DN','MyCred','VO_4'              ,'FETCH_channel_3'     ,NULL          ,NULL, NULL, NULL, SYSTIMESTAMP - INTERVAL '21' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000201','Ready'    ,'DN','MyCred','VO_1'              ,'FETCH_channel_4'     ,'TEST5.CERN.CH','TEST5.BNL.GOV' , NULL, NULL, SYSTIMESTAMP - INTERVAL '20' SECOND,'host.cern.ch','host.bnl.gov' );
    test_create_job('10000000-0000-0000-0000-000000000202','Active'   ,'DN','MyCred','VO_1'              ,'FETCH_channel_4'     ,'TEST5.CERN.CH','TEST5.BNL.GOV' , NULL, NULL, SYSTIMESTAMP - INTERVAL '19' SECOND,'host.cern.ch','host.bnl.gov' );
    test_create_job('10000000-0000-0000-0000-000000000203','Ready'    ,'DN','MyCred','VO_1'              ,'FETCH_channel_4'     ,'TEST5.CERN.CH','TEST5.IN2P3.FR', NULL, NULL, SYSTIMESTAMP - INTERVAL '18' SECOND,'host.cern.ch','host.in2p3.fr');
    test_create_job('10000000-0000-0000-0000-000000000204','Ready'    ,'DN','MyCred','VO_1'              ,'FETCH_channel_4'     ,'TEST5.CERN.CH','TEST5.IN2P3.FR', NULL, NULL, SYSTIMESTAMP - INTERVAL '17' SECOND,'host.cern.ch','host.in2p3.fr');
    test_create_job('10000000-0000-0000-0000-000000000205','Ready'    ,'DN','MyCred','VO_2'              ,'FETCH_channel_4'     ,'TEST5.CERN.CH','TEST5.INFN.IT' , NULL, NULL, SYSTIMESTAMP - INTERVAL '16' SECOND,'host.cern.ch','host.infn.it' );
    test_create_job('10000000-0000-0000-0000-000000000206','Ready'    ,'DN','MyCred','VO_2'              ,'FETCH_channel_4'     ,'TEST5.CERN.CH','TEST5.INFN.IT' , NULL, NULL, SYSTIMESTAMP - INTERVAL '15' SECOND,'host.cern.ch','host.infn.it' );
    test_create_job('10000000-0000-0000-0000-000000000207','Ready'    ,'DN','MyCred','VO_2'              ,'FETCH_channel_4'     ,'TEST5.CERN.CH','TEST5.FNAL.GOV', NULL, NULL, SYSTIMESTAMP - INTERVAL '14' SECOND,'host.cern.ch','host.fnal.gov');
    test_create_job('10000000-0000-0000-0000-000000000208','Ready'    ,'DN','MyCred','VO_2'              ,'FETCH_channel_4'     ,'TEST5.CERN.CH','TEST5.FNAL.GOV', NULL, NULL, SYSTIMESTAMP - INTERVAL '13' SECOND,'host.cern.ch','host.fnal.gov');
    test_create_job('10000000-0000-0000-0000-000000000209','Active'   ,'DN','MyCred','VO_1'              ,'FETCH_channel_4'     ,'TEST5.CERN.CH','TEST5.IN2P3.FR', NULL, NULL, SYSTIMESTAMP - INTERVAL '13' SECOND,'host.cern.ch','host.in2p3.fr');
    test_create_job('10000000-0000-0000-0000-000000000210','Active'   ,'DN','MyCred','VO_2'              ,'FETCH_channel_4'     ,'TEST5.CERN.CH','TEST5.INFN.IT' , NULL, NULL, SYSTIMESTAMP - INTERVAL '13' SECOND,'host.cern.ch','host.infn.it' );
    test_create_job('10000000-0000-0000-0000-000000000301','Ready'    ,'DN','MyCred','VO_1'              ,'FETCH_channel_5'     ,'SITE.INFN.IT' ,'TEST5.CERN.CH' , NULL, NULL, SYSTIMESTAMP - INTERVAL '20' SECOND,'host1.infn.it','host1.cern.ch' );
    test_create_job('10000000-0000-0000-0000-000000000302','Active'   ,'DN','MyCred','VO_1'              ,'FETCH_channel_5'     ,'SITE.CATANIA.IT','TEST5.CERN.CH', NULL,NULL, SYSTIMESTAMP - INTERVAL '19' SECOND,'host1.catania.infn.it','host1.cern.ch' );
    test_create_job('10000000-0000-0000-0000-000000000303','Ready'    ,'DN','MyCred','VO_1'              ,'FETCH_channel_5'     ,'SITE.PISA.IT' ,'TEST5.CERN.CH' , NULL, NULL, SYSTIMESTAMP - INTERVAL '18' SECOND,'host1.pisa.infn.it.ch','host1.cern.ch');
   
    test_create_job('10000000-0000-0000-0000-000000000401','Active','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000402','Active','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000403','Active','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000404','Active','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000405','Active','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000406','Active','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000407','Active','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000408','Active','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000409','Active','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000410','Ready','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000411','Ready','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000412','Ready','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000413','Ready','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000414','Ready','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000415','Ready','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000416','Ready','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000417','Ready','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000418','Ready','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000419','Ready','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000420','Ready','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000421','Ready','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
    test_create_job('10000000-0000-0000-0000-000000000422','Ready','DN','MyCred','VO_1','FETCH_channel_6','TEST6.CERN.CH','TEST6.INFN.IT',NULL,NULL,  SYSTIMESTAMP - INTERVAL '34' SECOND);
     
    test_create_job('20000000-0000-0000-0000-000000000001','Active'   ,'DN','MyCred','VO_1'              ,'CHECKSTATE_channel_1',NULL          ,NULL);
    test_create_job('20000000-0000-0000-0000-000000000002','Active'   ,'DN','MyCred','VO_1'              ,'CHECKSTATE_channel_1',NULL          ,NULL);
    test_create_job('20000000-0000-0000-0000-000000000003','Active'   ,'DN','MyCred','VO_2'              ,'CHECKSTATE_channel_1',NULL          ,NULL);
    test_create_job('20000000-0000-0000-0000-000000000004','Active'   ,'DN','MyCred','VO_2'              ,'CHECKSTATE_channel_1',NULL          ,NULL);
    test_create_job('20000000-0000-0000-0000-000000000005','Active'   ,'DN','MyCred','VO_1'              ,'CHECKSTATE_channel_1',NULL          ,NULL);
    test_create_job('20000000-0000-0000-0000-000000000006','Active'   ,'DN','MyCred','VO_1'              ,'CHECKSTATE_channel_1',NULL          ,NULL);
    test_create_job('20000000-0000-0000-0000-000000000007','Active'   ,'DN','MyCred','VO_1'              ,'CHECKSTATE_channel_1',NULL          ,NULL);
    test_create_job('20000000-0000-0000-0000-000000000008','Active'   ,'DN','MyCred','VO_1'              ,'CHECKSTATE_channel_1',NULL          ,NULL);
    test_create_job('20000000-0000-0000-0000-000000000009','Active'   ,'DN','MyCred','VO_1'              ,'CHECKSTATE_channel_1',NULL          ,NULL);
    test_create_job('20000000-0000-0000-0000-000000000010','Active'   ,'DN','MyCred','VO_1'              ,'CHECKSTATE_channel_1',NULL          ,NULL);
    test_create_job('20000000-0000-0000-0000-000000000011','Active'   ,'DN','MyCred','VO_1'              ,'CHECKSTATE_channel_1',NULL          ,NULL);
    test_create_job('20000000-0000-0000-0000-000000000012','Active'   ,'DN','MyCred','VO_2'              ,'CHECKSTATE_channel_1',NULL          ,NULL, 'Y');
    test_create_job('30000000-0000-0000-0000-000000000001','Active'   ,'DN','MyCred','VO_1'              ,'CANCELACTIVE_channel_1'  ,NULL          ,NULL, 'Y');
    test_create_job('30000000-0000-0000-0000-000000000002','Active'   ,'DN','MyCred','VO_1'              ,'CANCELACTIVE_channel_1'  ,NULL          ,NULL, 'Y');
    test_create_job('30000000-0000-0000-0000-000000000003','Active'   ,'DN','MyCred','VO_1'              ,'CANCELACTIVE_channel_1'  ,NULL          ,NULL, 'Y');
    test_create_job('30000000-0000-0000-0000-000000000004','Active'   ,'DN','MyCred','VO_1'              ,'CANCELACTIVE_channel_1'  ,NULL          ,NULL, 'Y');
    test_create_job('30000000-0000-0000-0000-000000000005','Active'   ,'DN','MyCred','VO_1'              ,'CANCELACTIVE_channel_1'  ,NULL          ,NULL, 'Y');
    test_create_job('40000000-0000-0000-0000-000000000000','Pending'  ,'DN','MyCred','CHECK_R_VO_1','channel_4'  ,NULL          ,NULL);
    test_create_job('40000000-0000-0000-0000-000000000001','Pending'  ,'DN','MyCred','CHECK_R_VO_1','channel_4'  ,NULL          ,NULL);
    test_create_job('40000000-0000-0000-0000-000000000002','Pending'  ,'DN','MyCred','CHECK_R_VO_1','channel_4'  ,NULL          ,NULL);
    test_create_job('40000000-0000-0000-0000-000000000003','Pending'  ,'DN','MyCred','CHECK_R_VO_1','channel_4'  ,NULL          ,NULL);
    test_create_job('40000000-0000-0000-0000-000000000004','Active'   ,'DN','MyCred','CHECK_R_VO_1','channel_4'  ,NULL          ,NULL);
    test_create_job('40000000-0000-0000-0000-000000000005','Pending'  ,'DN','MyCred','CHECK_R_VO_1','channel_4'  ,NULL          ,NULL,'Y');
    test_create_job('40000000-0000-0000-0000-000000000006','Pending'  ,'DN','MyCred','CHECK_R_VO_1','channel_4'  ,NULL          ,NULL,'Y');
    test_create_job('40000000-0000-0000-0000-000000000007','Pending'  ,'DN','MyCred','CHECK_R_VO_1','channel_4'  ,NULL          ,NULL,'Y');
    test_create_job('40000000-0000-0000-0000-000000000008','Active'   ,'DN','MyCred','CHECK_R_VO_1','channel_4'  ,NULL          ,NULL,'Y');
    -- Allocate Test Case
    test_create_job('50000000-0000-0000-0000-000000000000','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,NULL          ,NULL);
    test_create_job('50000000-0000-0000-0000-000000000001','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,NULL          ,NULL);
    test_create_job('50000000-0000-0000-0000-000000000002','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,NULL          ,NULL);
    test_create_job('50000000-0000-0000-0000-000000000003','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,NULL          ,NULL);
    test_create_job('50000000-0000-0000-0000-000000000004','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,NULL          ,NULL);
    test_create_job('50000000-0000-0000-0000-000000000005','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,NULL          ,NULL,'N');
    test_create_job('50000000-0000-0000-0000-000000000006','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,'channel_3'  ,NULL          ,NULL,'N');
    test_create_job('50000000-0000-0000-0000-000000000007','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,'host.cern.ch','host.infn.it');
    test_create_job('50000000-0000-0000-0000-000000000008','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,'host.cern.ch','host.infn.it');
    test_create_job('50000000-0000-0000-0000-000000000009','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,'host.cern.ch','host.ral.ac.uk');
    test_create_job('50000000-0000-0000-0000-000000000010','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,'host.cern.ch','host.infn.it', NULL, '--skip-resolution');
    test_create_job('50000000-0000-0000-0000-000000000011','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,'host.cern.ch','host.infn.it');
    test_create_job('50000000-0000-0000-0000-000000000012','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,'host.cern.ch','host.infn.it');
    test_create_job('50000000-0000-0000-0000-000000000013','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,'host.infn.it','host.cern.ch','N');
    test_create_job('50000000-0000-0000-0000-000000000014','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,'host.cern.ch','host.ral.ac.uk','Y');
    test_create_job('50000000-0000-0000-0000-000000000015','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,'host.cern.ch','host.in2p3.fr','Y');
    test_create_job('50000000-0000-0000-0000-000000000016','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,NULL          ,NULL);
    test_create_job('50000000-0000-0000-0000-000000000017','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,NULL          ,NULL);
    test_create_job('50000000-0000-0000-0000-000000000018','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,NULL          ,NULL);
    test_create_job('50000000-0000-0000-0000-000000000019','Submitted','DN','MyCred','ALLOCATE_VO_1'     ,NULL         ,NULL          ,NULL);
    test_create_job('50000000-0000-0000-0000-000000000100','Submitted','DN','MyCred','ALLOCATE_VO_2'     ,NULL         ,NULL          ,NULL);
    test_create_job('50000000-0000-0000-0000-000000000101','Submitted','DN','MyCred','ALLOCATE_VO_2'     ,NULL         ,NULL          ,NULL);
    test_create_job('50000000-0000-0000-0000-000000000102','Submitted','DN','MyCred','ALLOCATE_VO_2'     ,NULL         ,NULL          ,NULL);
    -- Allocate test case: bugs
    test_create_job('50000000-0000-0000-0000-100000000001','Submitted','DN','MyCred','ALLOCATE_VO_BUGS'  ,NULL         ,NULL          ,NULL);
    --
    test_create_job('60000000-0000-0000-0000-000000000001','Active'   ,'DN','MyCred','BASICRETRY_VO_1'   ,'channel_4'  ,NULL          ,NULL);
    test_create_job('60000000-0000-0000-0000-000000000002','Active'   ,'DN','MyCred','BASICRETRY_VO_1'   ,'channel_4'  ,NULL          ,NULL);
    test_create_job('60000000-0000-0000-0000-000000000003','Active'   ,'DN','MyCred','BASICRETRY_VO_1'   ,'channel_4'  ,NULL          ,NULL);
    test_create_job('60000000-0000-0000-0000-000000000004','Active'   ,'DN','MyCred','BASICRETRY_VO_1'   ,'channel_4'  ,NULL          ,NULL);
    test_create_job('60000000-0000-0000-0000-000000000005','Active'   ,'DN','MyCred','BASICRETRY_VO_1'   ,'channel_4'  ,NULL          ,NULL);
    test_create_job('60000000-0000-0000-0000-000000000006','Submitted','DN','MyCred','BASICRETRY_VO_1'   ,NULL         ,NULL          ,NULL, NULL, NULL, TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'));
    test_create_job('60000000-0000-0000-0000-000000000007','Submitted','DN','MyCred','BASICRETRY_VO_1'   ,NULL         ,NULL          ,NULL, NULL, NULL, TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'));
    test_create_job('60000000-0000-0000-0000-000000000008','Submitted','DN','MyCred','BASICRETRY_VO_1'   ,NULL         ,NULL          ,NULL, NULL, NULL, NULL);
    test_create_job('60000000-0000-0000-0000-000000000009','Submitted','DN','MyCred','BASICRETRY_VO_1'   ,NULL         ,NULL          ,NULL, NULL, NULL, TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'));
    test_create_job('60000000-0000-0000-0000-000000000010','Finishing','DN','MyCred','BASICRETRY_VO_1'   ,NULL         ,NULL          ,NULL, NULL, NULL, TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'));
    test_create_job('60000000-0000-0000-0000-000000000011','Finishing','DN','MyCred','BASICRETRY_VO_1'   ,NULL         ,NULL          ,NULL, NULL, NULL, TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'));
    test_create_job('60000000-0000-0000-0000-000000000012','Finishing','DN','MyCred','BASICRETRY_VO_1'   ,NULL         ,NULL          ,NULL, NULL, NULL, NULL);
    test_create_job('60000000-0000-0000-0000-000000000013','Finishing','DN','MyCred','BASICRETRY_VO_1'   ,NULL         ,NULL          ,NULL, NULL, NULL, TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'));
    test_create_job('60000000-0000-0000-0000-000000000014','Active'   ,'DN','MyCred','BASICRETRY_VO_1'   ,NULL         ,NULL          ,NULL, 'Y' , NULL, NULL);
    test_create_job('60000000-0000-0000-0000-000000000015','Finishing','DN','MyCred','BASICRETRY_VO_1'   ,NULL         ,NULL          ,NULL, 'Y' , NULL, NULL);
    test_create_job('60000000-0000-0000-0000-000000000016','Submitted','DN','MyCred','BASICRETRY_VO_1'   ,NULL         ,NULL          ,NULL, 'Y' , NULL, NULL);
    test_create_job('60000000-0000-0000-0000-000000000017','Finishing','DN','MyCred','BASICRETRY_VO_1'   ,NULL         ,NULL          ,NULL, 'Y' , NULL, NULL);
    test_create_job('60000000-0000-0000-0000-000000000018','Submitted','DN','MyCred','BASICRETRY_VO_1'   ,NULL         ,NULL          ,NULL, 'Y' , NULL, NULL);
    
    -- ActiveTxCache test case
    test_create_job('70000000-0000-0000-0000-000000000001','Active'   ,'DN','MyCred','VO_1'              ,'ACTIVETXCACHE_channel_1','host.cern.ch','host.ral.ac.uk');
    test_create_job('70000000-0000-0000-0000-000000000002','Active'   ,'DN','MyCred','VO_1'              ,'ACTIVETXCACHE_channel_1','host.cern.ch','host.ral.ac.uk');
    test_create_job('70000000-0000-0000-0000-000000000003','Active'   ,'DN','MyCred','VO_1'              ,'ACTIVETXCACHE_channel_1','host.cern.ch','host.ral.ac.uk');
    test_create_job('70000000-0000-0000-0000-000000000004','Active'   ,'DN','MyCred','VO_2'              ,'ACTIVETXCACHE_channel_1','host.cern.ch','host.ral.ac.uk');
    test_create_job('70000000-0000-0000-0000-000000000005','Active'   ,'DN','MyCred','VO_2'              ,'ACTIVETXCACHE_channel_1','host.cern.ch','host.ral.ac.uk');
    test_create_job('70000000-0000-0000-0000-000000000006','Active'   ,'DN','MyCred','VO_2'              ,'ACTIVETXCACHE_channel_1','host.cern.ch','host.ral.ac.uk');
    test_create_job('70000000-0000-0000-0000-000000000007','Active'   ,'DN','MyCred','VO_1'              ,'ACTIVETXCACHE_channel_1','TEST.CERN.CH','TEST.RAL.AC.UK', NULL, NULL, NULL, 'host1.cern.ch','host1.ral.ac.uk');
    test_create_job('70000000-0000-0000-0000-000000000008','Active'   ,'DN','MyCred','VO_1'              ,'ACTIVETXCACHE_channel_1','TEST.CERN.CH','TEST.RAL.AC.UK', NULL, NULL, NULL, 'host1.cern.ch','host2.ral.ac.uk');
    test_create_job('70000000-0000-0000-0000-000000000009','Active'   ,'DN','MyCred','VO_2'              ,'ACTIVETXCACHE_channel_1','TEST.CERN.CH','TEST.RAL.AC.UK', NULL, NULL, NULL, 'host2.cern.ch','host1.ral.ac.uk');

    test_create_job('70000000-0000-0000-0000-000000000010','Active'   ,'DN','MyCred','VO_2'              ,'ACTIVETXCACHE_channel_1','TEST.CERN.CH','TEST.RAL.AC.UK');
    test_create_job('70000000-0000-0000-0000-000000000020','Active'   ,'DN','MyCred','VO_2'              ,'ACTIVETXCACHE_channel_1','TEST.CERN.CH','TEST.RAL.AC.UK');
    test_create_job('70000000-0000-0000-0000-000000000030','Active'   ,'DN','MyCred','VO_2'              ,'ACTIVETXCACHE_channel_1','TEST.CERN.CH','TEST.RAL.AC.UK');
        
    /* smarter retry
    test_create_job('80000000-0000-0000-0000-000000000001','Active'   ,'DN','MyCred','SMARTERRETRY_VO_1' ,'channel_4'  ,NULL          ,NULL);
    */
    test_create_job('90000000-0000-0000-0000-000000000000','Done'     ,'DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk');
    test_create_job('90000000-0000-0000-0000-000000000001','DoneWithErrors'     ,'DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk');
    test_create_job('90000000-0000-0000-0000-000000000002','Done'     ,'DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk');
    test_create_job('90000000-0000-0000-0000-000000000003','DoneWithErrors' ,'DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk');    
    test_create_job('90000000-0000-0000-0000-000000000004','Finishing','DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk');
    test_create_job('90000000-0000-0000-0000-000000000005','Finishing','DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk');
    test_create_job('90000000-0000-0000-0000-000000000006','Finishing','DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk');    
    test_create_job('90000000-0000-0000-0000-000000000007','Finishing','DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk');
    test_create_job('90000000-0000-0000-0000-000000000008','Done'     ,'DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk');
    test_create_job('90000000-0000-0000-0000-000000000009','Done'     ,'DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk');
    test_create_job('90000000-0000-0000-0000-000000000010','Done'     ,'DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk','Y');
    test_create_job('90000000-0000-0000-0000-000000000011','Done'     ,'DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk','Y');
    test_create_job('90000000-0000-0000-0000-000000000012','Finishing','DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk','Y');
    test_create_job('90000000-0000-0000-0000-000000000013','Finishing','DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk','Y');
    test_create_job('90000000-0000-0000-0000-000000000014','Done'     ,'DN','MyCred','FINALIZE_VO_1'     ,'channel_1'  ,'host.cern.ch','host.ral.ac.uk', NULL, '--skip-registration');
END;
/
