DECLARE

    -- include common procedures
    @testactions-split-procedures.sql

BEGIN

    -- Channels
    -- channel name matches test name 
    --             name             source      dest        state       [files]   [selimit]
    create_channel('CHANNEL_01',    'CERN',     'RAL',      'Active',   10);
    create_channel('CHANNEL_02',    'CERN',     'INFN',     'Active',   10);

    -- VO Shares
    --                 ch_name,         vo_name,    ch_share,   [ch_limit],     [ch_vo_state]
    create_ch_vo_share('CHANNEL_01',    'dteam',    6);
    create_ch_vo_share('CHANNEL_01',    'ops',      4);
    
    create_ch_vo_share('CHANNEL_02',    'dteam',    6);
    create_ch_vo_share('CHANNEL_02',    'ops',      4);

    -- Jobs
    --         job_id,                                  job_state,  user_dn,    user_cred,      vo_name,    channel_name,   source,     dest, [cancel_job], [internal_job_params], [submit_time], [source_se], [dest_se]
    --         'test_id -0000-0000-0000-job_id      ' 
    create_job('00000001-0000-0000-0000-000000000001',  'Ready',    'DN_dteam', 'Cred_dteam',   'dteam',    'CHANNEL_01',   NULL,       NULL);
    create_job('00000001-0000-0000-0000-000000000002',  'Ready',    'DN_ops',   'Cred_ops',     'ops',      'CHANNEL_01',   NULL,       NULL);

    create_job('00000002-0000-0000-0000-000000000001',  'Active',   'DN_dteam', 'Cred_dteam',   'dteam',    'CHANNEL_02',   NULL,       NULL);
    create_job('00000002-0000-0000-0000-000000000002',  'Active',   'DN_ops',   'Cred_ops',     'ops',      'CHANNEL_02',   NULL,       NULL);
    
    -- Files
    --          file_id,    job_id,                                 file_state, source_surl,                                dest_surl,                                  [num_failures], [current_failures], [catalog_failures], [logical_name], [reason_class], [reason], [error_scope], [error_phase]
    --          test_id(3)-job_id(3)-file_id(2)   
    create_file(00100101,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/001.dat',    'srm://host.ral.ac.uk:8443/dteam/001.dat');
    create_file(00100102,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/002.dat',    'srm://host.ral.ac.uk:8443/dteam/002.dat');
    create_file(00100103,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/003.dat',    'srm://host.ral.ac.uk:8443/dteam/003.dat');
    create_file(00100104,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/004.dat',    'srm://host.ral.ac.uk:8443/dteam/004.dat');
    create_file(00100105,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/005.dat',    'srm://host.ral.ac.uk:8443/dteam/005.dat');
    create_file(00100106,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/006.dat',    'srm://host.ral.ac.uk:8443/dteam/006.dat');
    create_file(00100107,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/007.dat',    'srm://host.ral.ac.uk:8443/dteam/007.dat');
    create_file(00100108,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/008.dat',    'srm://host.ral.ac.uk:8443/dteam/008.dat');
    create_file(00100109,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/009.dat',    'srm://host.ral.ac.uk:8443/dteam/009.dat');
    create_file(00100110,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/010.dat',    'srm://host.ral.ac.uk:8443/dteam/010.dat');
    create_file(00100111,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/011.dat',    'srm://host.ral.ac.uk:8443/dteam/011.dat');
    create_file(00100112,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/012.dat',    'srm://host.ral.ac.uk:8443/dteam/012.dat');
    create_file(00100113,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/013.dat',    'srm://host.ral.ac.uk:8443/dteam/013.dat');
    create_file(00100114,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/014.dat',    'srm://host.ral.ac.uk:8443/dteam/014.dat');
    create_file(00100115,   '00000001-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/015.dat',    'srm://host.ral.ac.uk:8443/dteam/015.dat');
    
    create_file(00100201,   '00000001-0000-0000-0000-000000000002', 'Ready',    'srm://host.cern.ch:8443/ops/001.dat',      'srm://host.ral.ac.uk:8443/ops/001.dat');
    create_file(00100202,   '00000001-0000-0000-0000-000000000002', 'Ready',    'srm://host.cern.ch:8443/ops/002.dat',      'srm://host.ral.ac.uk:8443/ops/002.dat');
    create_file(00100203,   '00000001-0000-0000-0000-000000000002', 'Ready',    'srm://host.cern.ch:8443/ops/003.dat',      'srm://host.ral.ac.uk:8443/ops/003.dat');
    create_file(00100204,   '00000001-0000-0000-0000-000000000002', 'Ready',    'srm://host.cern.ch:8443/ops/004.dat',      'srm://host.ral.ac.uk:8443/ops/004.dat');
    create_file(00100205,   '00000001-0000-0000-0000-000000000002', 'Ready',    'srm://host.cern.ch:8443/ops/005.dat',      'srm://host.ral.ac.uk:8443/ops/005.dat');
    create_file(00100206,   '00000001-0000-0000-0000-000000000002', 'Ready',    'srm://host.cern.ch:8443/ops/006.dat',      'srm://host.ral.ac.uk:8443/ops/006.dat');
    create_file(00100207,   '00000001-0000-0000-0000-000000000002', 'Ready',    'srm://host.cern.ch:8443/ops/007.dat',      'srm://host.ral.ac.uk:8443/ops/007.dat');
    create_file(00100208,   '00000001-0000-0000-0000-000000000002', 'Ready',    'srm://host.cern.ch:8443/ops/008.dat',      'srm://host.ral.ac.uk:8443/ops/008.dat');
    create_file(00100209,   '00000001-0000-0000-0000-000000000002', 'Ready',    'srm://host.cern.ch:8443/ops/009.dat',      'srm://host.ral.ac.uk:8443/ops/009.dat');
    create_file(00100210,   '00000001-0000-0000-0000-000000000002', 'Ready',    'srm://host.cern.ch:8443/ops/010.dat',      'srm://host.ral.ac.uk:8443/ops/010.dat');
    
    create_file(00200101,   '00000002-0000-0000-0000-000000000001', 'Active',   'srm://host.cern.ch:8443/dteam/001.dat',    'srm://host.infn.it:8443/dteam/001.dat');
    create_file(00200102,   '00000002-0000-0000-0000-000000000001', 'Active',   'srm://host.cern.ch:8443/dteam/002.dat',    'srm://host.infn.it:8443/dteam/002.dat');
    create_file(00200103,   '00000002-0000-0000-0000-000000000001', 'Active',   'srm://host.cern.ch:8443/dteam/003.dat',    'srm://host.infn.it:8443/dteam/003.dat');
    create_file(00200104,   '00000002-0000-0000-0000-000000000001', 'Active',   'srm://host.cern.ch:8443/dteam/004.dat',    'srm://host.infn.it:8443/dteam/004.dat');
    create_file(00200105,   '00000002-0000-0000-0000-000000000001', 'Active',   'srm://host.cern.ch:8443/dteam/005.dat',    'srm://host.infn.it:8443/dteam/005.dat');
    create_file(00200106,   '00000002-0000-0000-0000-000000000001', 'Active',   'srm://host.cern.ch:8443/dteam/006.dat',    'srm://host.infn.it:8443/dteam/006.dat');
    create_file(00200107,   '00000002-0000-0000-0000-000000000001', 'Active',   'srm://host.cern.ch:8443/dteam/007.dat',    'srm://host.infn.it:8443/dteam/007.dat');
    create_file(00200108,   '00000002-0000-0000-0000-000000000001', 'Active',   'srm://host.cern.ch:8443/dteam/008.dat',    'srm://host.infn.it:8443/dteam/008.dat');
    create_file(00200109,   '00000002-0000-0000-0000-000000000001', 'Active',   'srm://host.cern.ch:8443/dteam/009.dat',    'srm://host.infn.it:8443/dteam/009.dat');
    create_file(00200110,   '00000002-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/010.dat',    'srm://host.infn.it:8443/dteam/010.dat');
    create_file(00200111,   '00000002-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/011.dat',    'srm://host.infn.it:8443/dteam/011.dat');
    create_file(00200112,   '00000002-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/012.dat',    'srm://host.infn.it:8443/dteam/012.dat');
    create_file(00200113,   '00000002-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/013.dat',    'srm://host.infn.it:8443/dteam/013.dat');
    create_file(00200114,   '00000002-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/014.dat',    'srm://host.infn.it:8443/dteam/014.dat');
    create_file(00200115,   '00000002-0000-0000-0000-000000000001', 'Ready',    'srm://host.cern.ch:8443/dteam/015.dat',    'srm://host.infn.it:8443/dteam/015.dat');
    
    create_file(00200201,   '00000002-0000-0000-0000-000000000002', 'Active',   'srm://host.cern.ch:8443/ops/001.dat',      'srm://host.infn.it:8443/ops/001.dat');
    create_file(00200202,   '00000002-0000-0000-0000-000000000002', 'Active',   'srm://host.cern.ch:8443/ops/002.dat',      'srm://host.infn.it:8443/ops/002.dat');
    create_file(00200203,   '00000002-0000-0000-0000-000000000002', 'Active',   'srm://host.cern.ch:8443/ops/003.dat',      'srm://host.infn.it:8443/ops/003.dat');
    create_file(00200204,   '00000002-0000-0000-0000-000000000002', 'Active',   'srm://host.cern.ch:8443/ops/004.dat',      'srm://host.infn.it:8443/ops/004.dat');
    create_file(00200205,   '00000002-0000-0000-0000-000000000002', 'Active',   'srm://host.cern.ch:8443/ops/005.dat',      'srm://host.infn.it:8443/ops/005.dat');
    create_file(00200206,   '00000002-0000-0000-0000-000000000002', 'Active',   'srm://host.cern.ch:8443/ops/006.dat',      'srm://host.infn.it:8443/ops/006.dat');
    create_file(00200207,   '00000002-0000-0000-0000-000000000002', 'Ready',    'srm://host.cern.ch:8443/ops/007.dat',      'srm://host.infn.it:8443/ops/007.dat');
    create_file(00200208,   '00000002-0000-0000-0000-000000000002', 'Ready',    'srm://host.cern.ch:8443/ops/008.dat',      'srm://host.infn.it:8443/ops/008.dat');
    create_file(00200209,   '00000002-0000-0000-0000-000000000002', 'Ready',    'srm://host.cern.ch:8443/ops/009.dat',      'srm://host.infn.it:8443/ops/009.dat');
    create_file(00200210,   '00000002-0000-0000-0000-000000000002', 'Ready',    'srm://host.cern.ch:8443/ops/010.dat',      'srm://host.infn.it:8443/ops/010.dat');
    
    -- Transfers
    --              request_id,     file_id, tx_id, transfer_state, transfer_time,                                      duration, [reason_class], [reason], [error_scope], [error_phase]
    create_transfer('c02-j01-f01',  00200101,0,     'Transferred',  TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    create_transfer('c02-j01-f02',  00200102,0,     'Processing',   TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    create_transfer('c02-j01-f03',  00200103,0,     'Processing',   TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    create_transfer('c02-j01-f04',  00200104,0,     'Processing',   TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    create_transfer('c02-j01-f05',  00200105,0,     'Processing',   TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    create_transfer('c02-j01-f06',  00200106,0,     'Processing',   TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    create_transfer('c02-j01-f07',  00200107,0,     'Processing',   TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    create_transfer('c02-j01-f08',  00200108,0,     'Preparing',    TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    create_transfer('c02-j01-f09',  00200109,0,     'Preparing',    TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    --create_transfer('c02-j01-f10',  00200110,0,     'Preparing',    TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    --create_transfer('c02-j01-f11',  00200111,0,     'Ready',        TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    --create_transfer('c02-j01-f12',  00200112,0,     'Ready',        TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
   
    create_transfer('c02-j02-f01',  00200201,0,     'Transferred',  TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    create_transfer('c02-j02-f02',  00200202,0,     'Processing',   TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    create_transfer('c02-j02-f03',  00200203,0,     'Processing',   TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    create_transfer('c02-j02-f04',  00200204,0,     'Processing',   TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    create_transfer('c02-j02-f05',  00200205,0,     'Processing',   TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    create_transfer('c02-j02-f06',  00200206,0,     'Preparing',    TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    --create_transfer('c02-j02-f07',  00200207,0,     'Preparing',    TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
    --create_transfer('c02-j02-f08',  00200208,0,     'Preparing',    TO_TIMESTAMP('20080101000000','YYYYMMDDHH24MISS'),  10);
     
END;
/
