DECLARE
-- Insert File Procedure
PROCEDURE test_create_file(
                            f    T_FILE.FILE_ID%TYPE,
                            j    T_FILE.JOB_ID%TYPE,
                            st   T_FILE.FILE_STATE%TYPE,
                            src  T_FILE.SOURCE_SURL%TYPE, 
                            dst  T_FILE.DEST_SURL%TYPE,
                            fl   T_FILE.NUM_FAILURES%TYPE DEFAULT NULL,
                            cf   T_FILE.CURRENT_FAILURES%TYPE DEFAULT NULL,
                            ctf  T_FILE.CATALOG_FAILURES%TYPE DEFAULT NULL,
                            l    T_FILE.LOGICAL_NAME%TYPE DEFAULT NULL,
                            r    T_FILE.REASON_CLASS%TYPE DEFAULT NULL)
IS                            
BEGIN
    INSERT INTO t_file(file_id,job_id,file_state,source_surl,dest_surl,num_failures,current_failures,catalog_failures,logical_name,reason_class) 
        VALUES (f,j,st,src,dst,fl,cf,ctf,l,r);
END;

-- Main
BEGIN
	-- channel1
    test_create_file(10000001,'10000000-0000-0000-0000-000000000001','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src1.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst1.txt');
    test_create_file(10000002,'10000000-0000-0000-0000-000000000001','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src2.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst2.txt');
    test_create_file(10000003,'10000000-0000-0000-0000-000000000001','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src3.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst3.txt');
    test_create_file(10000004,'10000000-0000-0000-0000-000000000002','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src4.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst4.txt');
    test_create_file(10000005,'10000000-0000-0000-0000-000000000002','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src5.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst5.txt');
    test_create_file(10000006,'10000000-0000-0000-0000-000000000003','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src6.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst6.txt');
    test_create_file(10000007,'10000000-0000-0000-0000-000000000003','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src7.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst7.txt');
    test_create_file(10000008,'10000000-0000-0000-0000-000000000004','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src8.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst8.txt');
    test_create_file(10000009,'10000000-0000-0000-0000-000000000004','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src9-this-file-should-fail-in-processing.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst9.txt');
    test_create_file(10000010,'10000000-0000-0000-0000-000000000005','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src10.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst10.txt');
    test_create_file(10000011,'10000000-0000-0000-0000-000000000005','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src11.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst11.txt');
    test_create_file(10000012,'10000000-0000-0000-0000-000000000006','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src12.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst12.txt');
    test_create_file(10000013,'10000000-0000-0000-0000-000000000006','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src13.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst13.txt');
    test_create_file(10000014,'10000000-0000-0000-0000-000000000007','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src14.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst14.txt');
    test_create_file(10000015,'10000000-0000-0000-0000-000000000007','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src15.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst15.txt');
    test_create_file(10000016,'10000000-0000-0000-0000-000000000008','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src16.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst16.txt');
    test_create_file(10000017,'10000000-0000-0000-0000-000000000009','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src17.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst17.txt');
    test_create_file(10000018,'10000000-0000-0000-0000-000000000009','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src18.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst18.txt');
    test_create_file(10000019,'10000000-0000-0000-0000-000000000009','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src19.txt','srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/dst19.txt');

	-- channel2
    test_create_file(10000020,'10000000-0000-0000-0000-000000000010','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src20.txt','srm://srm.infn.it:8443/castor/infn.it/dteam/tmp/dst20.txt');
    test_create_file(10000021,'10000000-0000-0000-0000-000000000010','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src21.txt','srm://srm.infn.it:8443/castor/infn.it/dteam/tmp/dst21.txt');
    test_create_file(10000022,'10000000-0000-0000-0000-000000000010','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src22.txt','srm://srm.infn.it:8443/castor/infn.it/dteam/tmp/dst22.txt');
    test_create_file(10000023,'10000000-0000-0000-0000-000000000011','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src23.txt','srm://srm.infn.it:8443/castor/infn.it/dteam/tmp/dst23.txt');
    test_create_file(10000024,'10000000-0000-0000-0000-000000000011','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src24.txt','srm://srm.infn.it:8443/castor/infn.it/dteam/tmp/dst25.txt');
    test_create_file(10000025,'10000000-0000-0000-0000-000000000012','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src25.txt','srm://srm.infn.it:8443/castor/infn.it/dteam/tmp/dst25.txt');
    test_create_file(10000026,'10000000-0000-0000-0000-000000000012','Submitted'    ,'srm://srm.cern.ch:8443/castor/cern.ch/dteam/tmp/src26-this-file-should-fail-in-processing.txt','srm://srm.infn.it:8443/castor/infn.it/dteam/tmp/dst26.txt');

	-- channel3
    test_create_file(10000027,'10000000-0000-0000-0000-000000000013','Submitted'    ,'srm://localhost:8043/stub/home/dteam/tmp/src00.dat','srm://localhost:8043/stub/home/dteam/tmp/dst00.dat');
    test_create_file(10000028,'10000000-0000-0000-0000-000000000013','Submitted'    ,'srm://localhost:8043/stub/home/dteam/tmp/src01.dat','srm://localhost:8043/stub/home/dteam/tmp/dst01.dat');
    test_create_file(10000029,'10000000-0000-0000-0000-000000000014','Submitted'    ,'srm://localhost:8043/stub/home/dteam/tmp/src02.dat','srm://localhost:8043/stub/home/dteam/tmp/dst02.dat');
    test_create_file(10000030,'10000000-0000-0000-0000-000000000014','Submitted'    ,'srm://localhost:8043/stub/home/dteam/tmp/src00.dat','srm://localhost:8044/stub/home/dteam/tmp/dst03.dat');
    test_create_file(10000031,'10000000-0000-0000-0000-000000000014','Submitted'    ,'srm://localhost:8043/stub/home/dteam/tmp/src01.dat','srm://localhost:8044/stub/home/dteam/tmp/dst04.dat');
    test_create_file(10000032,'10000000-0000-0000-0000-000000000014','Submitted'    ,'srm://localhost:8043/stub/home/dteam/tmp/src02.dat','srm://localhost:8044/stub/home/dteam/tmp/dst05.dat');
    test_create_file(10000033,'10000000-0000-0000-0000-000000000015','Submitted'    ,'srm://localhost:8044/stub/home/dteam/tmp/src00.dat','srm://localhost:8043/stub/home/dteam/tmp/dst06.dat');
    test_create_file(10000034,'10000000-0000-0000-0000-000000000015','Submitted'    ,'srm://localhost:8044/stub/home/dteam/tmp/src01.dat','srm://localhost:8043/stub/home/dteam/tmp/dst07.dat');
    test_create_file(10000035,'10000000-0000-0000-0000-000000000015','Submitted'    ,'srm://localhost:8044/stub/home/dteam/tmp/src02.dat','srm://localhost:8043/stub/home/dteam/tmp/dst08.dat');
    test_create_file(10000036,'10000000-0000-0000-0000-000000000016','Submitted'    ,'srm://localhost:8044/stub/home/dteam/tmp/src00.dat','srm://localhost:8044/stub/home/dteam/tmp/dst09.dat');
    test_create_file(10000037,'10000000-0000-0000-0000-000000000016','Submitted'    ,'srm://localhost:8044/stub/home/dteam/tmp/src01.dat','srm://localhost:8044/stub/home/dteam/tmp/dst10.dat');
    test_create_file(10000038,'10000000-0000-0000-0000-000000000016','Submitted'    ,'srm://localhost:8044/stub/home/dteam/tmp/src02.dat','srm://localhost:8044/stub/home/dteam/tmp/dst11.dat');
   
    -- channel4
    test_create_file(40000101,'40000000-0000-0000-0000-000000000001','Submitted'    ,'srm://127.0.0.1:8045/stub/home/dteam/tmp/srm00.dat','srm://127.0.0.1:8045/stub/home/dteam/tmp/srm-dst00.dat');
    
    test_create_file(40000201,'40000000-0000-0000-0000-000000000002','Submitted'    ,'srm://127.0.0.1:8045/stub/home/dteam/tmp/this-one-returns-SRM_DUPLICATION_ERROR-on-copy.dat','srm://127.0.0.1:8045/stub/home/dteam/tmp/srm-dst.dat');

    test_create_file(40000301,'40000000-0000-0000-0000-000000000003','Submitted'    ,'srm://127.0.0.1:8045/stub/home/dteam/tmp/srm01.dat','srm://127.0.0.1:8045/stub/home/dteam/tmp/srm-dst01.dat');
    test_create_file(40000302,'40000000-0000-0000-0000-000000000003','Submitted'    ,'srm://127.0.0.1:8045/stub/home/dteam/tmp/this-one-returns-SRM_DUPLICATION_ERROR-on-copy.dat','srm://127.0.0.1:8045/stub/home/dteam/tmp/srm-dst02.dat');
    test_create_file(40000303,'40000000-0000-0000-0000-000000000003','Submitted'    ,'srm://127.0.0.1:8045/stub/home/dteam/tmp/srm03.dat','srm://127.0.0.1:8045/stub/home/dteam/tmp/srm-dst03.dat');
        
END;
/
