DECLARE
   user_dn VARCHAR2(256);
   passwd  VARCHAR2(256);
   dlg_id  VARCHAR2(256);
   
-- Insert Job Procedure
PROCEDURE test_create_job(
                            j    T_JOB.JOB_ID%TYPE,
                            st   T_JOB.JOB_STATE%TYPE,
                            dn   T_JOB.USER_DN%TYPE, 
                            cr   T_JOB.USER_CRED%TYPE,
                            ci   T_JOB.CRED_ID%TYPE,
                            vo   T_JOB.VO_NAME%TYPE, 
                            ch   T_JOB.CHANNEL_NAME%TYPE,
                            src  T_JOB.SOURCE%TYPE, 
                            dst  T_JOB.DEST%TYPE,
                            cj   T_JOB.CANCEL_JOB%TYPE DEFAULT NULL,
                            ip   T_JOB.INTERNAL_JOB_PARAMS%TYPE DEFAULT NULL,
                            jst  T_JOB.SUBMIT_TIME%TYPE DEFAULT NULL)
IS                            
BEGIN
    IF jst IS NULL THEN
        INSERT INTO t_job(job_id,job_state,user_dn,user_cred,cred_id,vo_name,channel_name,source,dest,cancel_job, internal_job_params) 
            VALUES (j,st,dn,cr,ci,vo,ch,src,dst,cj,ip);
    ELSE 
        INSERT INTO t_job(job_id,job_state,user_dn,user_cred,cred_id,vo_name,channel_name,source,dest,cancel_job, internal_job_params,submit_time) 
            VALUES (j,st,dn,cr,ci,vo,ch,src,dst,cj,ip,jst);
    END IF;
END;

-- Main
BEGIN

    user_dn := '&1';
    passwd  := '&2';
    dlg_id  := '&3';

    -- channel1
    test_create_job('10000000-0000-0000-0000-000000000001','Submitted'    ,user_dn,passwd,NULL           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    test_create_job('10000000-0000-0000-0000-000000000002','Submitted'    ,user_dn,passwd,NULL           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    test_create_job('10000000-0000-0000-0000-000000000003','Submitted'    ,user_dn,passwd,NULL           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    test_create_job('10000000-0000-0000-0000-000000000004','Submitted'    ,user_dn,passwd,NULL           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    test_create_job('10000000-0000-0000-0000-000000000005','Submitted'    ,user_dn,passwd,NULL           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL,'Y');
    test_create_job('10000000-0000-0000-0000-000000000006','Submitted'    ,'Invalid DN','bingobongo',NULL,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    test_create_job('10000000-0000-0000-0000-000000000007','Submitted'    ,user_dn,NULL,dlg_id           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    test_create_job('10000000-0000-0000-0000-000000000008','Submitted'    ,user_dn,NULL,'bingobongo'     ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    test_create_job('10000000-0000-0000-0000-000000000009','Submitted'    ,'Invalid DN',NULL,'bingobongo','AGENTS_VO_1',     NULL     ,NULL          ,NULL);

    -- channel2
    test_create_job('10000000-0000-0000-0000-000000000010','Submitted'    ,user_dn,passwd,NULL           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    test_create_job('10000000-0000-0000-0000-000000000011','Submitted'    ,user_dn,NULL,dlg_id           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    test_create_job('10000000-0000-0000-0000-000000000012','Submitted'    ,user_dn,passwd,NULL           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);

    -- channel3
    test_create_job('10000000-0000-0000-0000-000000000013','Submitted'    ,user_dn,NULL,dlg_id           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    test_create_job('10000000-0000-0000-0000-000000000014','Submitted'    ,user_dn,NULL,dlg_id           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    test_create_job('10000000-0000-0000-0000-000000000015','Submitted'    ,user_dn,NULL,dlg_id           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    test_create_job('10000000-0000-0000-0000-000000000016','Submitted'    ,user_dn,NULL,dlg_id           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
   
    -- channel4 
    test_create_job('40000000-0000-0000-0000-000000000001','Submitted'    ,user_dn,NULL,dlg_id           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    test_create_job('40000000-0000-0000-0000-000000000002','Submitted'    ,user_dn,NULL,dlg_id           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    test_create_job('40000000-0000-0000-0000-000000000003','Submitted'    ,user_dn,NULL,dlg_id           ,'AGENTS_VO_1',     NULL     ,NULL          ,NULL);
    
END;
/
exit;
