#!/bin/bash
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# =================================================================== 
# Channel Agents                                                           
# =================================================================== 

# Run config generator for glite-transfer-channel-agent-oracle 
test_config_glite_transfer_channel_agent_oracle__DEPENDS="init_unit_test"
function test_config_glite_transfer_channel_agent_oracle(){
    config_generator -f ${MODULE_CONFIG_DIR}/glite-transfer-channel-agent-oracle.config.xml \
        -o ${MODULE_TEST_DIR}/etc/test-config-glite-channel-transfer-agent-oracle.properties.xml \
        -l ${MODULE_TEST_DIR}/etc/test-config-glite-channel-transfer-agent-oracle.log-properties \
        -O agents-dao-oracle.User=${ORA_USER} \
        -O agents-dao-oracle.Password=${ORA_PWD} \
        -O agents-dao-oracle.ConnectString=${ORA_CONNECTSTRING} \
        -O transfer-channel-agent.Name=test-config-glite-transfer-channel-agent-oracle \
        -O log.fileName=${MODULE_TEST_DIR}/var/log/test-config-glite-channel-transfer-agent-oracle.log \
        -O log.Priority=DEBUG
}

# Run config generator for glite-transfer-channel-agent-srmcopy-oracle 
test_config_glite_transfer_channel_agent_srmcopy_oracle__DEPENDS="init_unit_test"
function test_config_glite_transfer_channel_agent_srmcopy_oracle(){
    config_generator -f ${MODULE_CONFIG_DIR}/glite-transfer-channel-agent-srmcopy-oracle.config.xml \
        -o ${MODULE_TEST_DIR}/etc/test-config-glite-channel-transfer-agent-srmcopy-oracle.properties.xml \
        -l ${MODULE_TEST_DIR}/etc/test-config-glite-channel-transfer-agent-srmcopy-oracle.log-properties \
        -O agents-dao-oracle.User=${ORA_USER} \
        -O agents-dao-oracle.Password=${ORA_PWD} \
        -O agents-dao-oracle.ConnectString=${ORA_CONNECTSTRING} \
        -O transfer-channel-agent.Name=test-config-glite-transfer-channel-agent-srmcopy-oracle \
        -O log.fileName=${MODULE_TEST_DIR}/var/log/test-config-glite-channel-transfer-agent-srmcopy-oracle.log \
        -O log.Priority=DEBUG
}
# Run config generator for glite-transfer-channel-agent-urlcopy-oracle 
test_config_glite_transfer_channel_agent_urlcopy_oracle__DEPENDS="init_unit_test"
function test_config_glite_transfer_channel_agent_urlcopy_oracle(){
    config_generator -f ${MODULE_CONFIG_DIR}/glite-transfer-channel-agent-urlcopy-oracle.config.xml \
        -o ${MODULE_TEST_DIR}/etc/test-config-glite-channel-transfer-agent-urlcopy-oracle.properties.xml \
        -l ${MODULE_TEST_DIR}/etc/test-config-glite-channel-transfer-agent-urlcopy-oracle.log-properties \
        -O agents-dao-oracle.User=${ORA_USER} \
        -O agents-dao-oracle.Password=${ORA_PWD} \
        -O agents-dao-oracle.ConnectString=${ORA_CONNECTSTRING} \
        -O transfer-channel-agent.Name=test-config-glite-transfer-channel-agent-urlcopy-oracle \
        -O log.fileName=${MODULE_TEST_DIR}/var/log/test-config-glite-channel-transfer-agent-urlcopy-oracle.log \
        -O log.Priority=DEBUG
}

# Run config generator for glite-transfer-channel-agent-urlcopy-oracle 
test_config_glite_transfer_channel_agent_urlcopy_oracle_2__DEPENDS="init_unit_test"
function test_config_glite_transfer_channel_agent_urlcopy_oracle_2(){
    config_generator -f ${MODULE_CONFIG_DIR}/glite-transfer-channel-agent-urlcopy-oracle.config.xml \
        -o ${MODULE_TEST_DIR}/etc/test-config-glite-channel-transfer-agent-urlcopy-oracle-2.properties.xml \
        -l ${MODULE_TEST_DIR}/etc/test-config-glite-channel-transfer-agent-urlcopy-oracle-2.log-properties \
        -O agents-dao-oracle.User=${ORA_USER} \
        -O agents-dao-oracle.Password=${ORA_PWD} \
        -O agents-dao-oracle.ConnectString=${ORA_CONNECTSTRING} \
        -O transfer-agent-ts-urlcopy.TcpBlockSize=0 \
        -O transfer-agent-ts-urlcopy.TcpBufferSize=2097152 \
        -O transfer-agent-ts-urlcopy.BlockSize=4096 \
        -O transfer-channel-agent.Name=test-config-glite-transfer-channel-agent-urlcopy-oracle \
        -O log.fileName=${MODULE_TEST_DIR}/var/log/test-config-glite-channel-transfer-agent-urlcopy-oracle.log \
        -O log.Priority=DEBUG
}

# =================================================================== 
# VO Agents                                                           
# =================================================================== 

# Run config generator for glite-transfer-vo-agent-oracle 
test_config_glite_transfer_vo_agent_oracle__DEPENDS="init_unit_test"
function test_config_glite_transfer_vo_agent_oracle(){
    config_generator -f ${MODULE_CONFIG_DIR}/glite-transfer-vo-agent-oracle.config.xml \
        -o ${MODULE_TEST_DIR}/etc/test-config-glite-vo-transfer-agent-oracle.properties.xml \
        -l ${MODULE_TEST_DIR}/etc/test-config-glite-vo-transfer-agent-oracle.log-properties \
        -O agents-dao-oracle.User=${ORA_USER} \
        -O agents-dao-oracle.Password=${ORA_PWD} \
        -O agents-dao-oracle.ConnectString=${ORA_CONNECTSTRING} \
        -O transfer-vo-agent.Name=test-config-glite-transfer-vo-agent-oracle \
        -O log.fileName=${MODULE_TEST_DIR}/var/log/test-config-glite-vo-transfer-agent-oracle.log \
        -O log.Priority=DEBUG
}
# Run config generator for glite-transfer-vo-agent-python-oracle 
test_config_glite_transfer_vo_agent_python_oracle__DEPENDS="init_unit_test"
function test_config_glite_transfer_vo_agent_python_oracle(){
    config_generator -f ${MODULE_CONFIG_DIR}/glite-transfer-vo-agent-python-oracle.config.xml \
        -o ${MODULE_TEST_DIR}/etc/test-config-glite-vo-transfer-agent-python-oracle.properties.xml \
        -l ${MODULE_TEST_DIR}/etc/test-config-glite-vo-transfer-agent-python-oracle.log-properties \
        -O agents-dao-oracle.User=${ORA_USER} \
        -O agents-dao-oracle.Password=${ORA_PWD} \
        -O agents-dao-oracle.ConnectString=${ORA_CONNECTSTRING} \
        -O transfer-agent-vo-actions-python.RetryModule=basic_retry \
        -O transfer-vo-agent.Name=test-config-glite-transfer-vo-agent-python-oracle \
        -O log.fileName=${MODULE_TEST_DIR}/var/log/test-config-glite-vo-transfer-agent-python-oracle.log \
        -O log.Priority=DEBUG
}
# Run config generator for glite-transfer-vo-agent-python-pycatalog-oracle 
test_config_glite_transfer_vo_agent_python_pycatalog_oracle__DEPENDS="init_unit_test"
function test_config_glite_transfer_vo_agent_python_pycatalog_oracle(){
    config_generator -f ${MODULE_CONFIG_DIR}/glite-transfer-vo-agent-python-pycatalog-oracle.config.xml \
        -o ${MODULE_TEST_DIR}/etc/test-config-glite-vo-transfer-agent-python-pycatalog-oracle.properties.xml \
        -l ${MODULE_TEST_DIR}/etc/test-config-glite-vo-transfer-agent-python-pycatalog-oracle.log-properties \
        -O agents-dao-oracle.User=${ORA_USER} \
        -O agents-dao-oracle.Password=${ORA_PWD} \
        -O agents-dao-oracle.ConnectString=${ORA_CONNECTSTRING} \
        -O transfer-agent-catalog-python.CatalogModule=TestCatalog \
        -O transfer-agent-vo-actions-python.RetryModule=basic_retry \
        -O transfer-vo-agent.Name=test-config-glite-transfer-vo-agent-python-pycatalog-oracle \
        -O log.fileName=${MODULE_TEST_DIR}/var/log/test-config-glite-vo-transfer-agent-python-oracle.log \
        -O log.Priority=DEBUG
}

# config UnitTest 
test_config__DEPENDS="test_config_glite_transfer_channel_agent_oracle test_config_glite_transfer_channel_agent_srmcopy_oracle test_config_glite_transfer_channel_agent_urlcopy_oracle test_config_glite_transfer_channel_agent_urlcopy_oracle_2 test_config_glite_transfer_vo_agent_oracle test_config_glite_transfer_vo_agent_python_oracle test_config_glite_transfer_vo_agent_python_pycatalog_oracle"
function test_config(){
    true
}
