#!/bin/bash
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# Install Cred Deleg Oracle UnitTest Data
test_cred_deleg_ora_install__DEPENDS="init_unit_test"
function test_cred_deleg_ora_install(){

    # Create Template for the UnitTest 
    create_config_xml "glite-transfer-agent-test-cred-deleg-ora" ${MODULE_TEST_DIR}/etc/glite-transfer-agent-test-cred-deleg-ora.config.xml \
        ${AGENTS_COMMON_CONFIG_TEMPLATES}/agents-dao-oracle.config-template.xml \
        ${MODULE_CONFIG_TEMPLATES}/transfer-agent-dao-oracle.config-template.xml \
        ${MODULE_CONFIG_TEMPLATES}/transfer-agent-cred-deleg.config-template.xml
    # Create UnitTest configuration                                   
    config_generator -f ${MODULE_TEST_DIR}/etc/glite-transfer-agent-test-cred-deleg-ora.config.xml \
        -o ${MODULE_TEST_DIR}/etc/glite-transfer-agent-test-cred-deleg-ora.properties.xml \
        -l ${MODULE_TEST_DIR}/etc/glite-transfer-agent-test-cred-deleg-ora.log-properties \
        -O agents-dao-oracle.User=${ORA_USER} \
        -O agents-dao-oracle.Password=${ORA_PWD} \
        -O agents-dao-oracle.ConnectString=${ORA_CONNECTSTRING} \
        -O log.fileName=${MODULE_TEST_DIR}/var/log/transfer-agent-test-cred-deleg-ora.log \
        -O log.Priority=DEBUG
    # Populate DB
    clear_db 
    (cd ${MODULE_TEST_DIR}/bin && ${MODULE_TEST_DIR}/bin/glite_data_transfer_agent_setup_test_cred_ora \
        -u ${MY_USER_DN} -i 123456 -p ${MYPROXY_CERT} -U ${ORA_USER} -P ${ORA_PWD} -C ${ORA_CONNECTSTRING} -d) || return ${?}
}
    
# Cred Delege Oracle Unit Test 
test_cred_deleg_ora__DEPENDS="test_cred_deleg_ora_install"
function test_cred_deleg_ora(){
    (cd ${MODULE_TEST_DIR}/bin && ${MODULE_TEST_DIR}/bin/glite_data_transfer_agent_test_cred \
        -u ${MY_USER_DN} -i 123456 -l ${MODULE_TEST_DIR} -s -c glite-transfer-agent-test-cred-deleg-ora) || return ${?}
    rm -rf /tmp/x509up_h*
}
	
# DAO Unit Test 
test_cred__DEPENDS="test_cred_deleg_ora"
function test_cred(){
    true
}
     
