DECLARE
-- Insert Stage Request Procedure
PROCEDURE test_create_stagereq(
                            r           T_STAGE_REQ.REQUEST_ID%TYPE,
                            f           T_STAGE_REQ.FILE_ID%TYPE,
                            s           T_STAGE_REQ.STAGE_ID%TYPE,
                            ss          T_STAGE_REQ.STAGE_STATE%TYPE,
                            t           T_STAGE_REQ.TURL%TYPE,
                            rt          T_STAGE_REQ.REQUEST_TIME%TYPE DEFAULT NULL,
                            reas        T_STAGE_REQ.REASON%TYPE DEFAULT NULL,
                            reas_class  T_STAGE_REQ.REASON_CLASS%TYPE DEFAULT NULL,
                            err_scope   T_STAGE_REQ.ERROR_SCOPE%TYPE DEFAULT NULL,
                            err_phase   T_STAGE_REQ.ERROR_PHASE%TYPE DEFAULT NULL)
IS
    j_id  T_STAGE_REQ.JOB_ID%TYPE;
BEGIN
    SELECT T_FILE.JOB_ID into j_id FROM T_FILE WHERE T_FILE.FILE_ID = f;
    INSERT INTO t_stage_req(request_id,file_id,stage_id,job_id,stage_state,turl,request_time,
        reason,reason_class,error_scope,error_phase) 
    VALUES (r,f,s,j_id,ss,t,rt,
        reas,reas_class,err_scope,err_phase);
END;

-- Main
BEGIN
	-- Set Records
    test_create_stagereq('req_5_1',50000001,0,'Submitted' ,'file:///tmp/src.txt');
    test_create_stagereq('req_5_1',50000002,1,'Completed' ,'file:///tmp/src.txt');
    test_create_stagereq('req_5_2',50000003,0,'Processing','file:///tmp/src.txt');
    test_create_stagereq('req_5_3',50000004,0,'Completed' ,'file:///tmp/src.txt');
    test_create_stagereq('req_5_3',50000005,1,'Failed'    ,'file:///tmp/src.txt',TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'));
    test_create_stagereq('req_5_4',50000005,0,'Failed'    ,'file:///tmp/src.txt',TO_TIMESTAMP('20050201000000','YYYYMMDDHH24MISS'));
    test_create_stagereq('req_5_5',50000007,0,'Processing','file:///tmp/src.txt',TO_TIMESTAMP('20050201000000','YYYYMMDDHH24MISS'));
    test_create_stagereq('req_5_6',50000008,0,'Processing','file:///tmp/src.txt');
    test_create_stagereq('req_5_7',50000005,2,'Failed'    ,'file:///tmp/src.txt',TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'),'staging failed','STORAGE_INTERNAL_ERROR','SOURCE','PRESTAGING');
END;
/
