#!/bin/bash
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Install Python UnitTest Data
TEST_PYTHON_PACKAGES_DIR=""
test_python_install__DEPENDS="init_unit_test"
function test_python_install(){
    TEST_PYTHON_PACKAGES_DIR=`python -c "from distutils import sysconfig; print sysconfig.get_python_lib(1,0,prefix='${GLITE_LOCATION}')"`
    # Copy Python test 
    cp ${MODULE_DIR}/test/python/scripts/test_fts_python.py ${MODULE_TEST_DIR}/bin
    # Create Template for the UnitTest 
    create_config_xml "glite-transfer-agent-test-python" ${MODULE_TEST_DIR}/etc/glite-transfer-agent-test-python.config.xml \
        ${AGENTS_COMMON_CONFIG_TEMPLATES}/agents-python.config-template.xml
    # Create UnitTest configuration                                   
    config_generator -f ${MODULE_TEST_DIR}/etc/glite-transfer-agent-test-python.config.xml \
        -o ${MODULE_TEST_DIR}/etc/glite-transfer-agent-test-python.properties.xml \
        -l ${MODULE_TEST_DIR}/etc/glite-transfer-agent-test-python.log-properties \
        -O agents-python.PythonPath=${TEST_PYTHON_PACKAGES_DIR}:${MODULE_TEST_DIR}/bin \
        -O log.fileName=${MODULE_TEST_DIR}/var/log/transfer-agent-test-python.log \
        -O log.Priority=DEBUG
}
    
# Python Unit Test 
test_python__DEPENDS="test_python_install"
function test_python(){
    (cd ${MODULE_TEST_DIR}/bin && ${MODULE_TEST_DIR}/bin/glite_data_transfer_agent_test_python \
        -l ${MODULE_TEST_DIR} -s -m ${MYPROXY_SERVER} -d ${MYPROXY_USER_DN} -p ${MYPROXY_USER_PASSPHRASE}) || return ${?}
}
