DECLARE
-- Insert File Procedure
PROCEDURE test_create_file(
                            f    T_FILE.FILE_ID%TYPE,
                            j    T_FILE.JOB_ID%TYPE,
                            st   T_FILE.FILE_STATE%TYPE,
                            src  T_FILE.SOURCE_SURL%TYPE, 
                            dst  T_FILE.DEST_SURL%TYPE,
                            fl   T_FILE.NUM_FAILURES%TYPE DEFAULT NULL,
                            cf   T_FILE.CURRENT_FAILURES%TYPE DEFAULT NULL,
                            ctf  T_FILE.CATALOG_FAILURES%TYPE DEFAULT NULL,
                            l    T_FILE.LOGICAL_NAME%TYPE DEFAULT NULL,
                            r    T_FILE.REASON_CLASS%TYPE DEFAULT NULL,
                            rs   T_FILE.REASON%TYPE DEFAULT NULL)
IS                            
BEGIN
    INSERT INTO t_file(file_id,job_id,file_state,source_surl,dest_surl,num_failures,current_failures,catalog_failures,logical_name,reason_class, reason) 
        VALUES (f,j,st,src,dst,fl,cf,ctf,l,r,rs);
END;

-- Main
BEGIN
	-- Set Records
    test_create_file(10000401,'10000000-0000-0000-0000-000000000401','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000402,'10000000-0000-0000-0000-000000000402','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000403,'10000000-0000-0000-0000-000000000403','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000404,'10000000-0000-0000-0000-000000000404','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000405,'10000000-0000-0000-0000-000000000405','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000406,'10000000-0000-0000-0000-000000000406','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000407,'10000000-0000-0000-0000-000000000407','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000408,'10000000-0000-0000-0000-000000000408','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000409,'10000000-0000-0000-0000-000000000409','Active'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000410,'10000000-0000-0000-0000-000000000410','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000411,'10000000-0000-0000-0000-000000000411','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000412,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000413,'10000000-0000-0000-0000-000000000413','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000414,'10000000-0000-0000-0000-000000000414','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000415,'10000000-0000-0000-0000-000000000415','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000416,'10000000-0000-0000-0000-000000000416','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000417,'10000000-0000-0000-0000-000000000417','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000418,'10000000-0000-0000-0000-000000000418','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000419,'10000000-0000-0000-0000-000000000419','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000420,'10000000-0000-0000-0000-000000000420','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000421,'10000000-0000-0000-0000-000000000421','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000422,'10000000-0000-0000-0000-000000000422','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000423,'10000000-0000-0000-0000-000000000411','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000424,'10000000-0000-0000-0000-000000000411','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000425,'10000000-0000-0000-0000-000000000411','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000426,'10000000-0000-0000-0000-000000000411','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000427,'10000000-0000-0000-0000-000000000411','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000428,'10000000-0000-0000-0000-000000000411','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000430,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000431,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000432,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000433,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000434,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000435,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000436,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000437,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
    test_create_file(10000438,'10000000-0000-0000-0000-000000000412','Ready'   ,'srm://host.cern.ch:8443/tmp/src.txt','srm://host.infn.it:8443/tmp/dst.txt');
 
END;
/
