DECLARE
-- Insert Channel Procedure
PROCEDURE test_create_channel(
                            n    T_CHANNEL.CHANNEL_NAME%TYPE,
                            src  T_CHANNEL.SOURCE_SITE%TYPE,
                            dst  T_CHANNEL.DEST_SITE%TYPE,
                            st   T_CHANNEL.CHANNEL_STATE%TYPE,
                            f    T_CHANNEL.NOFILES%TYPE DEFAULT 10,
                            sl   T_CHANNEL.SE_LIMIT%TYPE DEFAULT NULL)
IS          
    ch_type T_CHANNEL.CHANNEL_TYPE%TYPE;
BEGIN
    IF (src = '*' OR  dst = '*' OR src LIKE '[%]' OR dst LIKE '[%]') THEN
        ch_type := 'NONDEDICATED';
    ELSE 
        ch_type := 'DEDICATED';
    END IF;
        
    INSERT INTO t_channel(channel_name,source_site,dest_site,channel_state,nofiles,se_limit,channel_type)
        VALUES (n,src,dst,st,f,sl,ch_type);
END;


-- Insert Bad SE  Procedure
PROCEDURE test_create_bad_se(
                            n    T_BAD_SES.SE_HOSTNAME%TYPE,
                            m    T_BAD_SES.MESSAGE%TYPE,
                            dn   T_BAD_SES.ADMIN_DN%TYPE)
IS                            
BEGIN
    INSERT INTO t_bad_ses(se_hostname,message,admin_dn,addition_time)
        VALUES (n,m,dn,SYSTIMESTAMP);
END;

-- Main
BEGIN
	-- Set Records
    test_create_channel('channel_31161','TEST31161.CERN.CH','TEST31161.INFN.IT','Active',100,20);
END;
/
