#!/bin/bash
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# Install TransferService UnitTest Data
function test_ts_stub_install(){

    mkdir -p ${MODULE_TEST_DIR}/etc
    mkdir -p ${MODULE_TEST_DIR}/bin
    mkdir -p ${MODULE_TEST_DIR}/var/log
    # Create Template for the UnitTest 
    create_config_xml "glite-transfer-agent-test-ts-stub" ${MODULE_TEST_DIR}/etc/glite-transfer-agent-test-ts-stub.config.xml \
        ${MODULE_DIR}/test/ts/etc/transfer-agent-ts-stub.config-template.xml
    # Create UnitTest configuration                                   
    config_generator -f ${MODULE_TEST_DIR}/etc/glite-transfer-agent-test-ts-stub.config.xml \
        -o ${MODULE_TEST_DIR}/etc/glite-transfer-agent-test-ts-stub.properties.xml \
        -l ${MODULE_TEST_DIR}/etc/glite-transfer-agent-test-ts-stub.log-properties \
        -O transfer-agent-ts-stub.MaxTransfers=100 \
        -O transfer-agent-ts-stub.MaxRequestSize=10 \
        -O log.fileName=${MODULE_TEST_DIR}/var/log/transfer-agent-test-ts-stub.log \
        -O log.Priority=DEBUG
}

# TransferService Unit Test 
test_ts_stub__DEPENDS="init_unit_test test_ts_stub_install"
function test_ts_stub(){
    (cd ${MODULE_TEST_DIR}/bin && ${MODULE_TEST_DIR}/bin/glite_data_transfer_agent_test_ts \
        -l ${MODULE_TEST_DIR} -c glite-transfer-agent-test-ts-stub -s) || return ${?}
    rm -rf ${MODULE_TEST_DIR}/bin/ts-stub__*
}

# Ts unit test 
test_ts__DEPENDS="test_ts_stub"
function test_ts(){
    true
} 
